/**
* @module vue-mdc-adapterdialog 0.7.5
* @exports VueMDCDialog
* @copyright (c) 2017-present, Sebastien Tasson
* @license https://opensource.org/licenses/MIT
* @implements {"material-components-web":"^0.27.0"}
* @requires {"vue":"^2.5.6"}
* @see https://github.com/stasson/vue-mdc-adapter
*/
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?module.exports=t():"function"==typeof define&&define.amd?define(t):e.VueMDCDialog=t()}(this,function(){"use strict";function e(e){e&&e.focus&&e!==document.activeElement&&(e.focus(),"input"===e.tagName.toLowerCase()&&e.select())}var t={components:{CustomElement:{functional:!0,render:function(e,t){return e(t.props.is||t.props.tag||"div",t.data,t.children)}}}},n=function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")},a=function(){function e(e,t){for(var n=0;n<t.length;n++){var a=t[n];a.enumerable=a.enumerable||!1,a.configurable=!0,"value"in a&&(a.writable=!0),Object.defineProperty(e,a.key,a)}}return function(t,n,a){return n&&e(t.prototype,n),a&&e(t,a),t}}(),i=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var a in n)Object.prototype.hasOwnProperty.call(n,a)&&(e[a]=n[a])}return e},r=function(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)},s=function(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t},o={props:{event:String,"event-target":Object,"event-args":Array},methods:{dispatchEvent:function(e){if(this.$emit(e.type),this.event){var t=this.eventTarget||this.$root,n=this.eventArgs||[];t.$emit.apply(t,[this.event].concat(function(e){if(Array.isArray(e)){for(var t=0,n=Array(e.length);t<e.length;t++)n[t]=e[t];return n}return Array.from(e)}(n)))}}}},c=function(){function e(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};n(this,e),this.adapter_=t}return a(e,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),a(e,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),e}(),u=(function(){function e(t){var a=arguments.length>1&&void 0!==arguments[1]?arguments[1]:void 0;n(this,e),this.root_=t;for(var i=arguments.length,r=Array(i>2?i-2:0),s=2;s<i;s++)r[s-2]=arguments[s];this.initialize.apply(this,r),this.foundation_=void 0===a?this.getDefaultFoundation():a,this.foundation_.init(),this.initialSyncWithDOM()}a(e,null,[{key:"attachTo",value:function(t){return new e(t,new c)}}]),a(e,[{key:"initialize",value:function(){}},{key:"getDefaultFoundation",value:function(){throw new Error("Subclasses must override getDefaultFoundation to return a properly configured foundation class")}},{key:"initialSyncWithDOM",value:function(){}},{key:"destroy",value:function(){this.foundation_.destroy()}},{key:"listen",value:function(e,t){this.root_.addEventListener(e,t)}},{key:"unlisten",value:function(e,t){this.root_.removeEventListener(e,t)}},{key:"emit",value:function(e,t){var n=arguments.length>2&&void 0!==arguments[2]&&arguments[2],a=void 0;"function"==typeof CustomEvent?a=new CustomEvent(e,{detail:t,bubbles:n}):(a=document.createEvent("CustomEvent")).initCustomEvent(e,n,!1,t),this.root_.dispatchEvent(a)}}])}(),{ROOT:"mdc-dialog",OPEN:"mdc-dialog--open",ANIMATING:"mdc-dialog--animating",BACKDROP:"mdc-dialog__backdrop",SCROLL_LOCK:"mdc-dialog-scroll-lock",ACCEPT_BTN:"mdc-dialog__footer__button--accept",CANCEL_BTN:"mdc-dialog__footer__button--cancel"}),d={OPEN_DIALOG_SELECTOR:".mdc-dialog--open",DIALOG_SURFACE_SELECTOR:".mdc-dialog__surface",ACCEPT_SELECTOR:".mdc-dialog__footer__button--accept",ACCEPT_EVENT:"MDCDialog:accept",CANCEL_EVENT:"MDCDialog:cancel"},l=function(e){function t(e){n(this,t);var a=s(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,i(t.defaultAdapter,e)));return a.isOpen_=!1,a.componentClickHandler_=function(e){a.adapter_.eventTargetHasClass(e.target,u.BACKDROP)&&a.cancel(!0)},a.dialogClickHandler_=function(e){return a.handleDialogClick_(e)},a.documentKeydownHandler_=function(e){(e.key&&"Escape"===e.key||27===e.keyCode)&&a.cancel(!0)},a.transitionEndHandler_=function(e){return a.handleTransitionEnd_(e)},a}return r(t,c),a(t,null,[{key:"cssClasses",get:function(){return u}},{key:"strings",get:function(){return d}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},addBodyClass:function(){},removeBodyClass:function(){},eventTargetHasClass:function(){return!1},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerSurfaceInteractionHandler:function(){},deregisterSurfaceInteractionHandler:function(){},registerDocumentKeydownHandler:function(){},deregisterDocumentKeydownHandler:function(){},registerTransitionEndHandler:function(){},deregisterTransitionEndHandler:function(){},notifyAccept:function(){},notifyCancel:function(){},trapFocusOnSurface:function(){},untrapFocusOnSurface:function(){},isDialog:function(){return!1},layoutFooterRipples:function(){}}}}]),a(t,[{key:"destroy",value:function(){this.isOpen_&&(this.adapter_.deregisterSurfaceInteractionHandler("click",this.dialogClickHandler_),this.adapter_.deregisterDocumentKeydownHandler(this.documentKeydownHandler_),this.adapter_.deregisterInteractionHandler("click",this.componentClickHandler_),this.adapter_.untrapFocusOnSurface(),this.adapter_.deregisterTransitionEndHandler(this.transitionEndHandler_),this.adapter_.removeClass(t.cssClasses.ANIMATING),this.adapter_.removeClass(t.cssClasses.OPEN),this.enableScroll_())}},{key:"open",value:function(){this.isOpen_=!0,this.disableScroll_(),this.adapter_.registerDocumentKeydownHandler(this.documentKeydownHandler_),this.adapter_.registerSurfaceInteractionHandler("click",this.dialogClickHandler_),this.adapter_.registerInteractionHandler("click",this.componentClickHandler_),this.adapter_.registerTransitionEndHandler(this.transitionEndHandler_),this.adapter_.addClass(t.cssClasses.ANIMATING),this.adapter_.addClass(t.cssClasses.OPEN)}},{key:"close",value:function(){this.isOpen_=!1,this.adapter_.deregisterSurfaceInteractionHandler("click",this.dialogClickHandler_),this.adapter_.deregisterDocumentKeydownHandler(this.documentKeydownHandler_),this.adapter_.deregisterInteractionHandler("click",this.componentClickHandler_),this.adapter_.untrapFocusOnSurface(),this.adapter_.registerTransitionEndHandler(this.transitionEndHandler_),this.adapter_.addClass(t.cssClasses.ANIMATING),this.adapter_.removeClass(t.cssClasses.OPEN)}},{key:"isOpen",value:function(){return this.isOpen_}},{key:"accept",value:function(e){e&&this.adapter_.notifyAccept(),this.close()}},{key:"cancel",value:function(e){e&&this.adapter_.notifyCancel(),this.close()}},{key:"handleDialogClick_",value:function(e){var t=e.target;this.adapter_.eventTargetHasClass(t,u.ACCEPT_BTN)?this.accept(!0):this.adapter_.eventTargetHasClass(t,u.CANCEL_BTN)&&this.cancel(!0)}},{key:"handleTransitionEnd_",value:function(e){this.adapter_.isDialog(e.target)&&(this.adapter_.deregisterTransitionEndHandler(this.transitionEndHandler_),this.adapter_.removeClass(t.cssClasses.ANIMATING),this.isOpen_?(this.adapter_.trapFocusOnSurface(),this.adapter_.layoutFooterRipples()):this.enableScroll_())}},{key:"disableScroll_",value:function(){this.adapter_.addBodyClass(u.SCROLL_LOCK)}},{key:"enableScroll_",value:function(){this.adapter_.removeBodyClass(u.SCROLL_LOCK)}}]),t}(),f=function(e,t){t=t||{};var n=e.ownerDocument||e,a=[],i=[],r=function(e){function t(a,i){if(a===e.documentElement)return!1;for(var r=0,s=n.length;r<s;r++)if(n[r][0]===a)return n[r][1];var o=!1;return"none"===(i=i||e.defaultView.getComputedStyle(a)).display?o=!0:a.parentNode&&(o=t(a.parentNode)),n.push([a,o]),o}var n=[];return function(n){if(n===e.documentElement)return!1;var a=e.defaultView.getComputedStyle(n);return!!t(n,a)||"hidden"===a.visibility}}(n),s=["input","select","a[href]","textarea","button","[tabindex]"],o=e.querySelectorAll(s);if(t.includeContainer){var c=Element.prototype.matches||Element.prototype.msMatchesSelector||Element.prototype.webkitMatchesSelector;s.some(function(t){return c.call(e,t)})&&(o=Array.prototype.slice.apply(o)).unshift(e)}for(var u,d,l=0,f=o.length;l<f;l++)u=o[l],(d=parseInt(u.getAttribute("tabindex"),10)||u.tabIndex)<0||"INPUT"===u.tagName&&"hidden"===u.type||u.disabled||r(u,n)||(0===d?a.push(u):i.push({index:l,tabIndex:d,node:u}));var v=i.sort(function(e,t){return e.tabIndex===t.tabIndex?e.index-t.index:e.tabIndex-t.tabIndex}).map(function(e){return e.node});return Array.prototype.push.apply(v,a),v},v=null,p=function(t,n){function a(t){if(y){var n={returnFocus:t&&void 0!==t.returnFocus?t.returnFocus:E.returnFocusOnDeactivate,onDeactivate:t&&void 0!==t.onDeactivate?t.onDeactivate:E.onDeactivate};return r(),n.onDeactivate&&n.onDeactivate(),n.returnFocus&&setTimeout(function(){e(m)},0),y=!1,g=!1,this}}function i(){if(y)return v&&v.pause(),v=A,l(),e(function(){var e;if(!(e=null!==s("initialFocus")?s("initialFocus"):b.contains(document.activeElement)?document.activeElement:p[0]||s("fallbackFocus")))throw new Error("You can't have a focus-trap without at least one focusable element");return e}()),document.addEventListener("focus",u,!0),document.addEventListener("click",c,!0),document.addEventListener("mousedown",o,!0),document.addEventListener("touchstart",o,!0),document.addEventListener("keydown",d,!0),A}function r(){if(y&&v===A)return document.removeEventListener("focus",u,!0),document.removeEventListener("click",c,!0),document.removeEventListener("mousedown",o,!0),document.removeEventListener("touchstart",o,!0),document.removeEventListener("keydown",d,!0),v=null,A}function s(e){var t=E[e],n=t;if(!t)return null;if("string"==typeof t&&!(n=document.querySelector(t)))throw new Error("`"+e+"` refers to no known node");if("function"==typeof t&&!(n=t()))throw new Error("`"+e+"` did not return a node");return n}function o(e){E.clickOutsideDeactivates&&!b.contains(e.target)&&a({returnFocus:!1})}function c(e){E.clickOutsideDeactivates||b.contains(e.target)||(e.preventDefault(),e.stopImmediatePropagation())}function u(t){b.contains(t.target)||(t.preventDefault(),t.stopImmediatePropagation(),"function"==typeof t.target.blur&&t.target.blur(),C&&function(t){if(C.shiftKey)return e(h);e(_)}())}function d(t){"Tab"!==t.key&&9!==t.keyCode||function(t){if(l(),t.target.hasAttribute("tabindex")&&Number(t.target.getAttribute("tabindex"))<0)return C=t;t.preventDefault();var n=p.indexOf(t.target);t.shiftKey?e(t.target===_||-1===p.indexOf(t.target)?h:p[n-1]):t.target===h?e(_):e(p[n+1])}(t),!1!==E.escapeDeactivates&&function(e){return"Escape"===e.key||"Esc"===e.key||27===e.keyCode}(t)&&a()}function l(){p=f(b),_=p[0],h=p[p.length-1]}var p=[],_=null,h=null,m=null,y=!1,g=!1,C=null,b="string"==typeof t?document.querySelector(t):t,E=n||{};E.returnFocusOnDeactivate=!n||void 0===n.returnFocusOnDeactivate||n.returnFocusOnDeactivate,E.escapeDeactivates=!n||void 0===n.escapeDeactivates||n.escapeDeactivates;var A={activate:function(e){if(!y){var t={onActivate:e&&void 0!==e.onActivate?e.onActivate:E.onActivate};return y=!0,g=!1,m=document.activeElement,t.onActivate&&t.onActivate(),i(),A}},deactivate:a,pause:function(){!g&&y&&(g=!0,r())},unpause:function(){g&&y&&(g=!1,i())}};return A},_=(function(){function e(){n(this,e)}a(e,[{key:"browserSupportsCssVars",value:function(){}},{key:"isUnbounded",value:function(){}},{key:"isSurfaceActive",value:function(){}},{key:"isSurfaceDisabled",value:function(){}},{key:"addClass",value:function(e){}},{key:"removeClass",value:function(e){}},{key:"registerInteractionHandler",value:function(e,t){}},{key:"deregisterInteractionHandler",value:function(e,t){}},{key:"registerResizeHandler",value:function(e){}},{key:"deregisterResizeHandler",value:function(e){}},{key:"updateCssVariable",value:function(e,t){}},{key:"computeBoundingRect",value:function(){}},{key:"getWindowPageOffset",value:function(){}}])}(),{ROOT:"mdc-ripple-upgraded",UNBOUNDED:"mdc-ripple-upgraded--unbounded",BG_FOCUSED:"mdc-ripple-upgraded--background-focused",BG_ACTIVE_FILL:"mdc-ripple-upgraded--background-active-fill",FG_ACTIVATION:"mdc-ripple-upgraded--foreground-activation",FG_DEACTIVATION:"mdc-ripple-upgraded--foreground-deactivation"}),h={VAR_FG_SIZE:"--mdc-ripple-fg-size",VAR_LEFT:"--mdc-ripple-left",VAR_TOP:"--mdc-ripple-top",VAR_FG_SCALE:"--mdc-ripple-fg-scale",VAR_FG_TRANSLATE_START:"--mdc-ripple-fg-translate-start",VAR_FG_TRANSLATE_END:"--mdc-ripple-fg-translate-end"},m={PADDING:10,INITIAL_ORIGIN_SCALE:.6,DEACTIVATION_TIMEOUT_MS:225,FG_DEACTIVATION_MS:150},y=void 0,g={mouseup:"mousedown",pointerup:"pointerdown",touchend:"touchstart",keyup:"keydown",blur:"focus"},C=function(e){function t(e){n(this,t);var a=s(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,i(t.defaultAdapter,e)));return a.layoutFrame_=0,a.frame_={width:0,height:0},a.activationState_=a.defaultActivationState_(),a.xfDuration_=0,a.initialSize_=0,a.maxRadius_=0,a.listenerInfos_=[{activate:"touchstart",deactivate:"touchend"},{activate:"pointerdown",deactivate:"pointerup"},{activate:"mousedown",deactivate:"mouseup"},{activate:"keydown",deactivate:"keyup"},{focus:"focus",blur:"blur"}],a.listeners_={activate:function(e){return a.activate_(e)},deactivate:function(e){return a.deactivate_(e)},focus:function(){return requestAnimationFrame(function(){return a.adapter_.addClass(t.cssClasses.BG_FOCUSED)})},blur:function(){return requestAnimationFrame(function(){return a.adapter_.removeClass(t.cssClasses.BG_FOCUSED)})}},a.resizeHandler_=function(){return a.layout()},a.unboundedCoords_={left:0,top:0},a.fgScale_=0,a.activationTimer_=0,a.fgDeactivationRemovalTimer_=0,a.activationAnimationHasEnded_=!1,a.activationTimerCallback_=function(){a.activationAnimationHasEnded_=!0,a.runDeactivationUXLogicIfReady_()},a}return r(t,c),a(t,null,[{key:"cssClasses",get:function(){return _}},{key:"strings",get:function(){return h}},{key:"numbers",get:function(){return m}},{key:"defaultAdapter",get:function(){return{browserSupportsCssVars:function(){},isUnbounded:function(){},isSurfaceActive:function(){},isSurfaceDisabled:function(){},addClass:function(){},removeClass:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},updateCssVariable:function(){},computeBoundingRect:function(){},getWindowPageOffset:function(){}}}}]),a(t,[{key:"isSupported_",value:function(){return this.adapter_.browserSupportsCssVars()}},{key:"defaultActivationState_",value:function(){return{isActivated:!1,hasDeactivationUXRun:!1,wasActivatedByPointer:!1,wasElementMadeActive:!1,activationStartTime:0,activationEvent:null,isProgrammatic:!1}}},{key:"init",value:function(){var e=this;if(this.isSupported_()){this.addEventListeners_();var n=t.cssClasses,a=n.ROOT,i=n.UNBOUNDED;requestAnimationFrame(function(){e.adapter_.addClass(a),e.adapter_.isUnbounded()&&e.adapter_.addClass(i),e.layoutInternal_()})}}},{key:"addEventListeners_",value:function(){var e=this;this.listenerInfos_.forEach(function(t){Object.keys(t).forEach(function(n){e.adapter_.registerInteractionHandler(t[n],e.listeners_[n])})}),this.adapter_.registerResizeHandler(this.resizeHandler_)}},{key:"activate_",value:function(e){var t=this;if(!this.adapter_.isSurfaceDisabled()){var n=this.activationState_;n.isActivated||(n.isActivated=!0,n.isProgrammatic=null===e,n.activationEvent=e,n.wasActivatedByPointer=!n.isProgrammatic&&("mousedown"===e.type||"touchstart"===e.type||"pointerdown"===e.type),n.activationStartTime=Date.now(),requestAnimationFrame(function(){n.wasElementMadeActive=!e||"keydown"!==e.type||t.adapter_.isSurfaceActive(),n.wasElementMadeActive?t.animateActivation_():t.activationState_=t.defaultActivationState_()}))}}},{key:"activate",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.activate_(e)}},{key:"animateActivation_",value:function(){var e=this,n=t.strings,a=n.VAR_FG_TRANSLATE_START,i=n.VAR_FG_TRANSLATE_END,r=t.cssClasses,s=r.BG_ACTIVE_FILL,o=r.FG_DEACTIVATION,c=r.FG_ACTIVATION,u=t.numbers.DEACTIVATION_TIMEOUT_MS,d="",l="";if(!this.adapter_.isUnbounded()){var f=this.getFgTranslationCoordinates_(),v=f.startPoint,p=f.endPoint;d=v.x+"px, "+v.y+"px",l=p.x+"px, "+p.y+"px"}this.adapter_.updateCssVariable(a,d),this.adapter_.updateCssVariable(i,l),clearTimeout(this.activationTimer_),clearTimeout(this.fgDeactivationRemovalTimer_),this.rmBoundedActivationClasses_(),this.adapter_.removeClass(o),this.adapter_.computeBoundingRect(),this.adapter_.addClass(s),this.adapter_.addClass(c),this.activationTimer_=setTimeout(function(){return e.activationTimerCallback_()},u)}},{key:"getFgTranslationCoordinates_",value:function(){var e=this.activationState_,t=e.activationEvent,n=void 0;return{startPoint:n={x:(n=e.wasActivatedByPointer?function(e,t,n){var a=t.x,i=t.y,r=a+n.left,s=i+n.top,o=void 0,c=void 0;return"touchstart"===e.type?(o=e.changedTouches[0].pageX-r,c=e.changedTouches[0].pageY-s):(o=e.pageX-r,c=e.pageY-s),{x:o,y:c}}(t,this.adapter_.getWindowPageOffset(),this.adapter_.computeBoundingRect()):{x:this.frame_.width/2,y:this.frame_.height/2}).x-this.initialSize_/2,y:n.y-this.initialSize_/2},endPoint:{x:this.frame_.width/2-this.initialSize_/2,y:this.frame_.height/2-this.initialSize_/2}}}},{key:"runDeactivationUXLogicIfReady_",value:function(){var e=this,n=t.cssClasses.FG_DEACTIVATION,a=this.activationState_,i=a.hasDeactivationUXRun,r=a.isActivated;(i||!r)&&this.activationAnimationHasEnded_&&(this.rmBoundedActivationClasses_(),this.adapter_.addClass(n),this.fgDeactivationRemovalTimer_=setTimeout(function(){e.adapter_.removeClass(n)},m.FG_DEACTIVATION_MS))}},{key:"rmBoundedActivationClasses_",value:function(){var e=t.cssClasses,n=e.BG_ACTIVE_FILL,a=e.FG_ACTIVATION;this.adapter_.removeClass(n),this.adapter_.removeClass(a),this.activationAnimationHasEnded_=!1,this.adapter_.computeBoundingRect()}},{key:"deactivate_",value:function(e){var t=this,n=this.activationState_;if(n.isActivated){if(n.isProgrammatic){var a=i({},n);return requestAnimationFrame(function(){return t.animateDeactivation_(null,a)}),void(this.activationState_=this.defaultActivationState_())}var r=g[e.type]===n.activationEvent.type,s=r;n.wasActivatedByPointer&&(s="mouseup"===e.type);var o=i({},n);requestAnimationFrame(function(){r&&(t.activationState_.hasDeactivationUXRun=!0,t.animateDeactivation_(e,o)),s&&(t.activationState_=t.defaultActivationState_())})}}},{key:"deactivate",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.deactivate_(e)}},{key:"animateDeactivation_",value:function(e,n){var a=n.wasActivatedByPointer,i=n.wasElementMadeActive,r=t.cssClasses.BG_FOCUSED;(a||i)&&(this.adapter_.removeClass(r),this.runDeactivationUXLogicIfReady_())}},{key:"destroy",value:function(){var e=this;if(this.isSupported_()){this.removeEventListeners_();var n=t.cssClasses,a=n.ROOT,i=n.UNBOUNDED;requestAnimationFrame(function(){e.adapter_.removeClass(a),e.adapter_.removeClass(i),e.removeCssVars_()})}}},{key:"removeEventListeners_",value:function(){var e=this;this.listenerInfos_.forEach(function(t){Object.keys(t).forEach(function(n){e.adapter_.deregisterInteractionHandler(t[n],e.listeners_[n])})}),this.adapter_.deregisterResizeHandler(this.resizeHandler_)}},{key:"removeCssVars_",value:function(){var e=this,n=t.strings;Object.keys(n).forEach(function(t){0===t.indexOf("VAR_")&&e.adapter_.updateCssVariable(n[t],null)})}},{key:"layout",value:function(){var e=this;this.layoutFrame_&&cancelAnimationFrame(this.layoutFrame_),this.layoutFrame_=requestAnimationFrame(function(){e.layoutInternal_(),e.layoutFrame_=0})}},{key:"layoutInternal_",value:function(){this.frame_=this.adapter_.computeBoundingRect();var e=Math.max(this.frame_.height,this.frame_.width),n=Math.sqrt(Math.pow(this.frame_.width,2)+Math.pow(this.frame_.height,2));this.initialSize_=e*t.numbers.INITIAL_ORIGIN_SCALE,this.maxRadius_=n+t.numbers.PADDING,this.fgScale_=this.maxRadius_/this.initialSize_,this.xfDuration_=1e3*Math.sqrt(this.maxRadius_/1024),this.updateLayoutCssVars_()}},{key:"updateLayoutCssVars_",value:function(){var e=t.strings,n=e.VAR_FG_SIZE,a=e.VAR_LEFT,i=e.VAR_TOP,r=e.VAR_FG_SCALE;this.adapter_.updateCssVariable(n,this.initialSize_+"px"),this.adapter_.updateCssVariable(r,this.fgScale_),this.adapter_.isUnbounded()&&(this.unboundedCoords_={left:Math.round(this.frame_.width/2-this.initialSize_/2),top:Math.round(this.frame_.height/2-this.initialSize_/2)},this.adapter_.updateCssVariable(a,this.unboundedCoords_.left+"px"),this.adapter_.updateCssVariable(i,this.unboundedCoords_.top+"px"))}}]),t}(),b=function(e){function t(e,a){return n(this,t),s(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,i({browserSupportsCssVars:function(){return function(e){var t=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if("boolean"==typeof y&&!t)return y;if(e.CSS&&"function"==typeof e.CSS.supports){var n=e.CSS.supports("--css-vars","yes"),a=e.CSS.supports("(--css-vars: yes)")&&e.CSS.supports("color","#00000000");return y=!(!n&&!a||function(e){var t=e.document,n=t.createElement("div");n.className="mdc-ripple-surface--test-edge-var-bug",t.body.appendChild(n);var a=e.getComputedStyle(n),i=null!==a&&"solid"===a.borderTopStyle;return n.remove(),i}(e))}}(window)},registerResizeHandler:function(e){return window.addEventListener("resize",e)},deregisterResizeHandler:function(e){return window.removeEventListener("resize",e)},getWindowPageOffset:function(){return{x:window.pageXOffset,y:window.pageYOffset}},isUnbounded:function(){return!1},computeBoundingRect:function(){return e.$el.getBoundingClientRect()},isSurfaceActive:function(){return e.$el[t.MATCHES](":active")},isSurfaceDisabled:function(){return e.disabled},addClass:function(t){e.$set(e.classes,t,!0)},removeClass:function(t){e.$delete(e.classes,t)},registerInteractionHandler:function(t,n){e.$el.addEventListener(t,n)},deregisterInteractionHandler:function(t,n){e.$el.removeEventListener(t,n)},updateCssVariable:function(t,n){e.$set(e.styles,t,n)}},a)))}return r(t,C),a(t,null,[{key:"isSurfaceActive",value:function(e){return e[t.MATCHES](":active")}},{key:"MATCHES",get:function(){return t._matches||(t._matches=function(e){return["webkitMatchesSelector","msMatchesSelector","matches"].filter(function(t){return t in e}).pop()}(HTMLElement.prototype))}}]),t}(),E={render:function(){var e=this,t=e.$createElement;return(e._self._c||t)("custom-element",{ref:"root",staticClass:"mdc-button",class:e.classes,style:e.styles,attrs:{tag:e.isLink?"a":"button",href:e.isLink&&e.href,role:e.isLink?"button":void 0,disabled:e.disabled},on:{click:e.dispatchEvent}},[e._t("default")],2)},staticRenderFns:[],name:"mdc-button",mixins:[o,t],props:{href:String,disabled:Boolean,raised:Boolean,unelevated:Boolean,stroked:Boolean,dense:Boolean,compact:Boolean},data:function(){return{classes:{"mdc-button--raised":this.raised,"mdc-button--unelevated":this.unelevated,"mdc-button--stroked":this.stroked,"mdc-button--dense":this.dense,"mdc-button--compact":this.compact},styles:{}}},computed:{isLink:function(){return this.href&&!this.disabled}},watch:{raised:function(){this.$set(this.classes,"mdc-button--raised",this.raised)},unelevated:function(){this.$set(this.classes,"mdc-button--unelevated",this.unelevated)},stroked:function(){this.$set(this.classes,"mdc-button--stroked",this.stroked)},dense:function(){this.$set(this.classes,"mdc-button--dense",this.dense)},compact:function(){this.$set(this.classes,"mdc-button--compact",this.compact)}},mounted:function(){this.ripple=new b(this),this.ripple.init()},beforeDestroy:function(){this.ripple.destroy()}},A=function(e){return{version:"0.7.5",install:function(t){for(var n in e){var a=e[n];t.component(a.name,a)}},components:e}}({mdcDialog:{render:function(){var e=this,t=e.$createElement,n=e._self._c||t;return n("aside",{ref:"root",staticClass:"mdc-dialog",class:e.classes,style:e.styles,attrs:{role:"alertdialog","aria-labelledby":"label"+e._uid,"aria-describedby":"desc"+e._uid}},[n("div",{ref:"surface",staticClass:"mdc-dialog__surface",class:e.surfaceClasses},[n("header",{staticClass:"mdc-dialog__header"},[n("h2",{staticClass:"mdc-dialog__header__title",attrs:{id:"label"+e._uid}},[e._v(" "+e._s(e.title)+" ")])]),e._v(" "),n("section",{staticClass:"mdc-dialog__body",class:e.bodyClasses,attrs:{id:"desc"+e._uid}},[e._t("default")],2),e._v(" "),n("footer",{staticClass:"mdc-dialog__footer"},[e.cancel?n("mdcButton",{ref:"cancel",staticClass:"mdc-dialog__footer__button mdc-dialog__footer__button--cancel"},[e._v(" "+e._s(e.cancel)+" ")]):e._e(),e._v(" "),n("mdcButton",{ref:"accept",staticClass:"mdc-dialog__footer__button mdc-dialog__footer__button--accept"},[e._v(" "+e._s(e.accept)+" ")])],1)]),e._v(" "),n("div",{staticClass:"mdc-dialog__backdrop"})])},staticRenderFns:[],name:"mdc-dialog",props:{title:{type:String,required:!0},accept:{type:String,default:"Ok"},cancel:{type:String,default:"Cancel"},scrollable:Boolean,dark:Boolean},components:{mdcButton:E},data:function(){return{classes:{"mdc-theme--dark":this.dark},styles:{},surfaceClasses:{},bodyClasses:{"mdc-dialog__body--scrollable":this.scrollable}}},mounted:function(){var e=this;this.focusTrap=function(e,t){return(arguments.length>2&&void 0!==arguments[2]?arguments[2]:p)(e,{initialFocus:t,clickOutsideDeactivates:!0})}(this.$refs.surface,this.$refs.accept),this.foundation=new l({addClass:function(t){return e.$set(e.classes,t,!0)},removeClass:function(t){return e.$delete(e.classes,t)},addBodyClass:function(e){return document.body.classList.add(e)},removeBodyClass:function(e){return document.body.classList.remove(e)},eventTargetHasClass:function(e,t){return e.classList.contains(t)},registerInteractionHandler:function(t,n){return e.$refs.root.addEventListener(t,n)},deregisterInteractionHandler:function(t,n){return e.$refs.root.removeEventListener(t,n)},registerSurfaceInteractionHandler:function(t,n){return e.$refs.surface.addEventListener(t,n)},deregisterSurfaceInteractionHandler:function(t,n){return e.$refs.surface.removeEventListener(t,n)},registerDocumentKeydownHandler:function(e){return document.addEventListener("keydown",e)},deregisterDocumentKeydownHandler:function(e){return document.removeEventListener("keydown",e)},registerTransitionEndHandler:function(t){return e.$refs.surface.addEventListener("transitionend",t)},deregisterTransitionEndHandler:function(t){return e.$refs.surface.removeEventListener("transitionend",t)},notifyAccept:function(){return e.$emit("accept")},notifyCancel:function(){return e.$emit("cancel")},trapFocusOnSurface:function(){return e.focusTrap.activate()},untrapFocusOnSurface:function(){return e.focusTrap.deactivate()},isDialog:function(t){return e.$refs.surface===t},layoutFooterRipples:function(){e.$refs.accept.ripple.layout(),e.cancel&&e.$refs.cancel.ripple.layout()}}),this.foundation.init()},beforeDestroy:function(){this.foundation.destroy()},methods:{show:function(){this.foundation.open()},close:function(){this.foundation.close()}}}});return function(e){var t=null;"undefined"!=typeof window?t=window.Vue:"undefined"!=typeof global&&(t=global.Vue),t&&t.use(e)}(A),A});
//# sourceMappingURL=dialog.min.js.map
