/**
* @module vue-mdc-adaptericon-toggle 0.7.5
* @exports VueMDCIconToggle
* @copyright (c) 2017-present, Sebastien Tasson
* @license https://opensource.org/licenses/MIT
* @implements {"material-components-web":"^0.27.0"}
* @requires {"vue":"^2.5.6"}
* @see https://github.com/stasson/vue-mdc-adapter
*/
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):t.VueMDCIconToggle=e()}(this,function(){"use strict";function t(t){return"Space"===t.key||32===t.keyCode}var e=function(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")},n=function(){function t(t,e){for(var n=0;n<e.length;n++){var a=e[n];a.enumerable=a.enumerable||!1,a.configurable=!0,"value"in a&&(a.writable=!0),Object.defineProperty(t,a.key,a)}}return function(e,n,a){return n&&t(e.prototype,n),a&&t(e,a),e}}(),a=Object.assign||function(t){for(var e=1;e<arguments.length;e++){var n=arguments[e];for(var a in n)Object.prototype.hasOwnProperty.call(n,a)&&(t[a]=n[a])}return t},i=function(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function, not "+typeof e);t.prototype=Object.create(e&&e.prototype,{constructor:{value:t,enumerable:!1,writable:!0,configurable:!0}}),e&&(Object.setPrototypeOf?Object.setPrototypeOf(t,e):t.__proto__=e)},s=function(t,e){if(!t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!e||"object"!=typeof e&&"function"!=typeof e?t:e},r=function(){function t(){var n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};e(this,t),this.adapter_=n}return n(t,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),n(t,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),t}(),o=(function(){function t(){e(this,t)}n(t,[{key:"addClass",value:function(t){}},{key:"removeClass",value:function(t){}},{key:"registerInteractionHandler",value:function(t,e){}},{key:"deregisterInteractionHandler",value:function(t,e){}},{key:"setText",value:function(t){}},{key:"getTabIndex",value:function(){}},{key:"setTabIndex",value:function(t){}},{key:"getAttr",value:function(t){}},{key:"setAttr",value:function(t,e){}},{key:"rmAttr",value:function(t){}},{key:"notifyChange",value:function(t){}}])}(),{ROOT:"mdc-icon-toggle",DISABLED:"mdc-icon-toggle--disabled"}),u={DATA_TOGGLE_ON:"data-toggle-on",DATA_TOGGLE_OFF:"data-toggle-off",ARIA_PRESSED:"aria-pressed",ARIA_DISABLED:"aria-disabled",ARIA_LABEL:"aria-label",CHANGE_EVENT:"MDCIconToggle:change"},c=function(c){function d(n){e(this,d);var i=s(this,(d.__proto__||Object.getPrototypeOf(d)).call(this,a(d.defaultAdapter,n)));return i.on_=!1,i.disabled_=!1,i.savedTabIndex_=-1,i.toggleOnData_=null,i.toggleOffData_=null,i.clickHandler_=function(){return i.toggleFromEvt_()},i.isHandlingKeydown_=!1,i.keydownHandler_=function(e){if(t(e))return i.isHandlingKeydown_=!0,e.preventDefault()},i.keyupHandler_=function(e){t(e)&&(i.isHandlingKeydown_=!1,i.toggleFromEvt_())},i}return i(d,r),n(d,null,[{key:"cssClasses",get:function(){return o}},{key:"strings",get:function(){return u}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},setText:function(){},getTabIndex:function(){return 0},setTabIndex:function(){},getAttr:function(){return""},setAttr:function(){},rmAttr:function(){},notifyChange:function(){}}}}]),n(d,[{key:"init",value:function(){this.refreshToggleData(),this.savedTabIndex_=this.adapter_.getTabIndex(),this.adapter_.registerInteractionHandler("click",this.clickHandler_),this.adapter_.registerInteractionHandler("keydown",this.keydownHandler_),this.adapter_.registerInteractionHandler("keyup",this.keyupHandler_)}},{key:"refreshToggleData",value:function(){var t=d.strings,e=t.DATA_TOGGLE_ON,n=t.DATA_TOGGLE_OFF;this.toggleOnData_=this.parseJsonDataAttr_(e),this.toggleOffData_=this.parseJsonDataAttr_(n)}},{key:"destroy",value:function(){this.adapter_.deregisterInteractionHandler("click",this.clickHandler_),this.adapter_.deregisterInteractionHandler("keydown",this.keydownHandler_),this.adapter_.deregisterInteractionHandler("keyup",this.keyupHandler_)}},{key:"toggleFromEvt_",value:function(){this.toggle();var t=this.on_;this.adapter_.notifyChange({isOn:t})}},{key:"isOn",value:function(){return this.on_}},{key:"toggle",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:!this.on_;this.on_=t;var e=d.strings,n=e.ARIA_LABEL,a=e.ARIA_PRESSED;this.on_?this.adapter_.setAttr(a,"true"):this.adapter_.setAttr(a,"false");var i=(this.on_?this.toggleOffData_:this.toggleOnData_).cssClass;i&&this.adapter_.removeClass(i);var s=this.on_?this.toggleOnData_:this.toggleOffData_,r=s.content,o=s.label,u=s.cssClass;u&&this.adapter_.addClass(u),r&&this.adapter_.setText(r),o&&this.adapter_.setAttr(n,o)}},{key:"parseJsonDataAttr_",value:function(t){var e=this.adapter_.getAttr(t);return e?JSON.parse(e):{}}},{key:"isDisabled",value:function(){return this.disabled_}},{key:"setDisabled",value:function(t){this.disabled_=t;var e=d.cssClasses.DISABLED,n=d.strings.ARIA_DISABLED;this.disabled_?(this.savedTabIndex_=this.adapter_.getTabIndex(),this.adapter_.setTabIndex(-1),this.adapter_.setAttr(n,"true"),this.adapter_.addClass(e)):(this.adapter_.setTabIndex(this.savedTabIndex_),this.adapter_.rmAttr(n),this.adapter_.removeClass(e))}},{key:"isKeyboardActivated",value:function(){return this.isHandlingKeydown_}}]),d}(),d=(function(){function t(){e(this,t)}n(t,[{key:"browserSupportsCssVars",value:function(){}},{key:"isUnbounded",value:function(){}},{key:"isSurfaceActive",value:function(){}},{key:"isSurfaceDisabled",value:function(){}},{key:"addClass",value:function(t){}},{key:"removeClass",value:function(t){}},{key:"registerInteractionHandler",value:function(t,e){}},{key:"deregisterInteractionHandler",value:function(t,e){}},{key:"registerResizeHandler",value:function(t){}},{key:"deregisterResizeHandler",value:function(t){}},{key:"updateCssVariable",value:function(t,e){}},{key:"computeBoundingRect",value:function(){}},{key:"getWindowPageOffset",value:function(){}}])}(),{ROOT:"mdc-ripple-upgraded",UNBOUNDED:"mdc-ripple-upgraded--unbounded",BG_FOCUSED:"mdc-ripple-upgraded--background-focused",BG_ACTIVE_FILL:"mdc-ripple-upgraded--background-active-fill",FG_ACTIVATION:"mdc-ripple-upgraded--foreground-activation",FG_DEACTIVATION:"mdc-ripple-upgraded--foreground-deactivation"}),l={VAR_FG_SIZE:"--mdc-ripple-fg-size",VAR_LEFT:"--mdc-ripple-left",VAR_TOP:"--mdc-ripple-top",VAR_FG_SCALE:"--mdc-ripple-fg-scale",VAR_FG_TRANSLATE_START:"--mdc-ripple-fg-translate-start",VAR_FG_TRANSLATE_END:"--mdc-ripple-fg-translate-end"},f={PADDING:10,INITIAL_ORIGIN_SCALE:.6,DEACTIVATION_TIMEOUT_MS:225,FG_DEACTIVATION_MS:150},_=void 0,v={mouseup:"mousedown",pointerup:"pointerdown",touchend:"touchstart",keyup:"keydown",blur:"focus"},h=function(t){function o(t){e(this,o);var n=s(this,(o.__proto__||Object.getPrototypeOf(o)).call(this,a(o.defaultAdapter,t)));return n.layoutFrame_=0,n.frame_={width:0,height:0},n.activationState_=n.defaultActivationState_(),n.xfDuration_=0,n.initialSize_=0,n.maxRadius_=0,n.listenerInfos_=[{activate:"touchstart",deactivate:"touchend"},{activate:"pointerdown",deactivate:"pointerup"},{activate:"mousedown",deactivate:"mouseup"},{activate:"keydown",deactivate:"keyup"},{focus:"focus",blur:"blur"}],n.listeners_={activate:function(t){return n.activate_(t)},deactivate:function(t){return n.deactivate_(t)},focus:function(){return requestAnimationFrame(function(){return n.adapter_.addClass(o.cssClasses.BG_FOCUSED)})},blur:function(){return requestAnimationFrame(function(){return n.adapter_.removeClass(o.cssClasses.BG_FOCUSED)})}},n.resizeHandler_=function(){return n.layout()},n.unboundedCoords_={left:0,top:0},n.fgScale_=0,n.activationTimer_=0,n.fgDeactivationRemovalTimer_=0,n.activationAnimationHasEnded_=!1,n.activationTimerCallback_=function(){n.activationAnimationHasEnded_=!0,n.runDeactivationUXLogicIfReady_()},n}return i(o,r),n(o,null,[{key:"cssClasses",get:function(){return d}},{key:"strings",get:function(){return l}},{key:"numbers",get:function(){return f}},{key:"defaultAdapter",get:function(){return{browserSupportsCssVars:function(){},isUnbounded:function(){},isSurfaceActive:function(){},isSurfaceDisabled:function(){},addClass:function(){},removeClass:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},updateCssVariable:function(){},computeBoundingRect:function(){},getWindowPageOffset:function(){}}}}]),n(o,[{key:"isSupported_",value:function(){return this.adapter_.browserSupportsCssVars()}},{key:"defaultActivationState_",value:function(){return{isActivated:!1,hasDeactivationUXRun:!1,wasActivatedByPointer:!1,wasElementMadeActive:!1,activationStartTime:0,activationEvent:null,isProgrammatic:!1}}},{key:"init",value:function(){var t=this;if(this.isSupported_()){this.addEventListeners_();var e=o.cssClasses,n=e.ROOT,a=e.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.addClass(n),t.adapter_.isUnbounded()&&t.adapter_.addClass(a),t.layoutInternal_()})}}},{key:"addEventListeners_",value:function(){var t=this;this.listenerInfos_.forEach(function(e){Object.keys(e).forEach(function(n){t.adapter_.registerInteractionHandler(e[n],t.listeners_[n])})}),this.adapter_.registerResizeHandler(this.resizeHandler_)}},{key:"activate_",value:function(t){var e=this;if(!this.adapter_.isSurfaceDisabled()){var n=this.activationState_;n.isActivated||(n.isActivated=!0,n.isProgrammatic=null===t,n.activationEvent=t,n.wasActivatedByPointer=!n.isProgrammatic&&("mousedown"===t.type||"touchstart"===t.type||"pointerdown"===t.type),n.activationStartTime=Date.now(),requestAnimationFrame(function(){n.wasElementMadeActive=!t||"keydown"!==t.type||e.adapter_.isSurfaceActive(),n.wasElementMadeActive?e.animateActivation_():e.activationState_=e.defaultActivationState_()}))}}},{key:"activate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.activate_(t)}},{key:"animateActivation_",value:function(){var t=this,e=o.strings,n=e.VAR_FG_TRANSLATE_START,a=e.VAR_FG_TRANSLATE_END,i=o.cssClasses,s=i.BG_ACTIVE_FILL,r=i.FG_DEACTIVATION,u=i.FG_ACTIVATION,c=o.numbers.DEACTIVATION_TIMEOUT_MS,d="",l="";if(!this.adapter_.isUnbounded()){var f=this.getFgTranslationCoordinates_(),_=f.startPoint,v=f.endPoint;d=_.x+"px, "+_.y+"px",l=v.x+"px, "+v.y+"px"}this.adapter_.updateCssVariable(n,d),this.adapter_.updateCssVariable(a,l),clearTimeout(this.activationTimer_),clearTimeout(this.fgDeactivationRemovalTimer_),this.rmBoundedActivationClasses_(),this.adapter_.removeClass(r),this.adapter_.computeBoundingRect(),this.adapter_.addClass(s),this.adapter_.addClass(u),this.activationTimer_=setTimeout(function(){return t.activationTimerCallback_()},c)}},{key:"getFgTranslationCoordinates_",value:function(){var t=this.activationState_,e=t.activationEvent,n=void 0;return{startPoint:n={x:(n=t.wasActivatedByPointer?function(t,e,n){var a=e.x,i=e.y,s=a+n.left,r=i+n.top,o=void 0,u=void 0;return"touchstart"===t.type?(o=t.changedTouches[0].pageX-s,u=t.changedTouches[0].pageY-r):(o=t.pageX-s,u=t.pageY-r),{x:o,y:u}}(e,this.adapter_.getWindowPageOffset(),this.adapter_.computeBoundingRect()):{x:this.frame_.width/2,y:this.frame_.height/2}).x-this.initialSize_/2,y:n.y-this.initialSize_/2},endPoint:{x:this.frame_.width/2-this.initialSize_/2,y:this.frame_.height/2-this.initialSize_/2}}}},{key:"runDeactivationUXLogicIfReady_",value:function(){var t=this,e=o.cssClasses.FG_DEACTIVATION,n=this.activationState_,a=n.hasDeactivationUXRun,i=n.isActivated;(a||!i)&&this.activationAnimationHasEnded_&&(this.rmBoundedActivationClasses_(),this.adapter_.addClass(e),this.fgDeactivationRemovalTimer_=setTimeout(function(){t.adapter_.removeClass(e)},f.FG_DEACTIVATION_MS))}},{key:"rmBoundedActivationClasses_",value:function(){var t=o.cssClasses,e=t.BG_ACTIVE_FILL,n=t.FG_ACTIVATION;this.adapter_.removeClass(e),this.adapter_.removeClass(n),this.activationAnimationHasEnded_=!1,this.adapter_.computeBoundingRect()}},{key:"deactivate_",value:function(t){var e=this,n=this.activationState_;if(n.isActivated){if(n.isProgrammatic){var i=a({},n);return requestAnimationFrame(function(){return e.animateDeactivation_(null,i)}),void(this.activationState_=this.defaultActivationState_())}var s=v[t.type]===n.activationEvent.type,r=s;n.wasActivatedByPointer&&(r="mouseup"===t.type);var o=a({},n);requestAnimationFrame(function(){s&&(e.activationState_.hasDeactivationUXRun=!0,e.animateDeactivation_(t,o)),r&&(e.activationState_=e.defaultActivationState_())})}}},{key:"deactivate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.deactivate_(t)}},{key:"animateDeactivation_",value:function(t,e){var n=e.wasActivatedByPointer,a=e.wasElementMadeActive,i=o.cssClasses.BG_FOCUSED;(n||a)&&(this.adapter_.removeClass(i),this.runDeactivationUXLogicIfReady_())}},{key:"destroy",value:function(){var t=this;if(this.isSupported_()){this.removeEventListeners_();var e=o.cssClasses,n=e.ROOT,a=e.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.removeClass(n),t.adapter_.removeClass(a),t.removeCssVars_()})}}},{key:"removeEventListeners_",value:function(){var t=this;this.listenerInfos_.forEach(function(e){Object.keys(e).forEach(function(n){t.adapter_.deregisterInteractionHandler(e[n],t.listeners_[n])})}),this.adapter_.deregisterResizeHandler(this.resizeHandler_)}},{key:"removeCssVars_",value:function(){var t=this,e=o.strings;Object.keys(e).forEach(function(n){0===n.indexOf("VAR_")&&t.adapter_.updateCssVariable(e[n],null)})}},{key:"layout",value:function(){var t=this;this.layoutFrame_&&cancelAnimationFrame(this.layoutFrame_),this.layoutFrame_=requestAnimationFrame(function(){t.layoutInternal_(),t.layoutFrame_=0})}},{key:"layoutInternal_",value:function(){this.frame_=this.adapter_.computeBoundingRect();var t=Math.max(this.frame_.height,this.frame_.width),e=Math.sqrt(Math.pow(this.frame_.width,2)+Math.pow(this.frame_.height,2));this.initialSize_=t*o.numbers.INITIAL_ORIGIN_SCALE,this.maxRadius_=e+o.numbers.PADDING,this.fgScale_=this.maxRadius_/this.initialSize_,this.xfDuration_=1e3*Math.sqrt(this.maxRadius_/1024),this.updateLayoutCssVars_()}},{key:"updateLayoutCssVars_",value:function(){var t=o.strings,e=t.VAR_FG_SIZE,n=t.VAR_LEFT,a=t.VAR_TOP,i=t.VAR_FG_SCALE;this.adapter_.updateCssVariable(e,this.initialSize_+"px"),this.adapter_.updateCssVariable(i,this.fgScale_),this.adapter_.isUnbounded()&&(this.unboundedCoords_={left:Math.round(this.frame_.width/2-this.initialSize_/2),top:Math.round(this.frame_.height/2-this.initialSize_/2)},this.adapter_.updateCssVariable(n,this.unboundedCoords_.left+"px"),this.adapter_.updateCssVariable(a,this.unboundedCoords_.top+"px"))}}]),o}(),p=function(t){function r(t,n){return e(this,r),s(this,(r.__proto__||Object.getPrototypeOf(r)).call(this,a({browserSupportsCssVars:function(){return function(t){var e=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if("boolean"==typeof _&&!e)return _;if(t.CSS&&"function"==typeof t.CSS.supports){var n=t.CSS.supports("--css-vars","yes"),a=t.CSS.supports("(--css-vars: yes)")&&t.CSS.supports("color","#00000000");return _=!(!n&&!a||function(t){var e=t.document,n=e.createElement("div");n.className="mdc-ripple-surface--test-edge-var-bug",e.body.appendChild(n);var a=t.getComputedStyle(n),i=null!==a&&"solid"===a.borderTopStyle;return n.remove(),i}(t))}}(window)},registerResizeHandler:function(t){return window.addEventListener("resize",t)},deregisterResizeHandler:function(t){return window.removeEventListener("resize",t)},getWindowPageOffset:function(){return{x:window.pageXOffset,y:window.pageYOffset}},isUnbounded:function(){return!1},computeBoundingRect:function(){return t.$el.getBoundingClientRect()},isSurfaceActive:function(){return t.$el[r.MATCHES](":active")},isSurfaceDisabled:function(){return t.disabled},addClass:function(e){t.$set(t.classes,e,!0)},removeClass:function(e){t.$delete(t.classes,e)},registerInteractionHandler:function(e,n){t.$el.addEventListener(e,n)},deregisterInteractionHandler:function(e,n){t.$el.removeEventListener(e,n)},updateCssVariable:function(e,n){t.$set(t.styles,e,n)}},n)))}return i(r,h),n(r,null,[{key:"isSurfaceActive",value:function(t){return t[r.MATCHES](":active")}},{key:"MATCHES",get:function(){return r._matches||(r._matches=function(t){return["webkitMatchesSelector","msMatchesSelector","matches"].filter(function(e){return e in t}).pop()}(HTMLElement.prototype))}}]),r}(),g=function(t){return{version:"0.7.5",install:function(e){for(var n in t){var a=t[n];e.component(a.name,a)}},components:t}}({mdcIConToggle:{render:function(){var t=this,e=t.$createElement,n=t._self._c||e;return n("span",{staticClass:"mdc-icon-toggle",class:t.classes,style:t.styles,attrs:{role:"button","aria-pressed":"false",tabindex:t.tabIndex,"data-toggle-on":t.toggleOnData,"data-toggle-off":t.toggleOffData}},[n("i",{class:t.iconClasses,attrs:{"aria-hidden":"true"}},[t._v(t._s(t.text))])])},staticRenderFns:[],name:"mdc-icon-toggle",props:{toggleOn:[String,Object],toggleOff:[String,Object],value:Boolean,disabled:Boolean,primary:Boolean,accent:Boolean},data:function(){return{classes:{"mdc-icon-toggle--primary":this.primary,"mdc-icon-toggle--accent":this.accent},styles:{},iconClasses:{},tabIndex:0,text:""}},watch:{value:function(t){this.foundation&&this.foundation.toggle(t)},disabled:function(t){this.foundation&&this.foundation.setDisabled(t)},toggleOnData:function(){this.foundation&&this.foundation.refreshToggleData()},toggleOffData:function(){this.foundation&&this.foundation.refreshToggleData()},primary:function(t){this.$set(this.classes,"mdc-icon-toggle--primary",t)},accent:function(t){this.$set(this.classes,"mdc-icon-toggle--secondary",t)}},computed:{toggleOnData:function(){var t=this.toggleOn;return t&&JSON.stringify("string"==typeof t?{content:t,cssClass:"material-icons"}:{content:t.icon||t.content,label:t.label,cssClass:t.icon?"material-icons":t.cssClass})},toggleOffData:function(){var t=this.toggleOff;return t&&JSON.stringify("string"==typeof t?{content:t,cssClass:"material-icons"}:{content:t.icon||t.content,label:t.label,cssClass:t.icon?"material-icons":t.cssClass})}},mounted:function(){var t=this;this.foundation=new c({addClass:function(e){return t.$set(t.iconClasses,e,!0)},removeClass:function(e){return t.$delete(t.iconClasses,e)},registerInteractionHandler:function(e,n){return t.$el.addEventListener(e,n)},deregisterInteractionHandler:function(e,n){return t.$el.removeEventListener(e,n)},setText:function(e){t.text=e},getTabIndex:function(){return t.tabIndex},setTabIndex:function(e){t.tabIndex=e},getAttr:function(e,n){return t.$el.getAttribute(e,n)},setAttr:function(e,n){t.$el.setAttribute(e,n)},rmAttr:function(e){t.$el.removeAttribute(e)},notifyChange:function(e){t.$emit("input",e.isOn)}}),this.foundation.init(),this.foundation.toggle(this.value),this.foundation.setDisabled(this.disabled),this.ripple=new p(this,{isUnbounded:function(){return!0},isSurfaceActive:function(){return t.foundation.isKeyboardActivated()},computeBoundingRect:function(){var e=t.$el.getBoundingClientRect(),n=e.left;return{left:n,top:e.top,width:48,height:48,right:n+48,bottom:n+48}}}),this.ripple.init()},beforeDestroy:function(){this.foundation.destroy(),this.ripple.destroy()}}});return function(t){var e=null;"undefined"!=typeof window?e=window.Vue:"undefined"!=typeof global&&(e=global.Vue),e&&e.use(t)}(g),g});
//# sourceMappingURL=icon-toggle.min.js.map
