/**
* @module vue-mdc-adaptermenu 0.7.5
* @exports VueMDCMenu
* @copyright (c) 2017-present, Sebastien Tasson
* @license https://opensource.org/licenses/MIT
* @implements {"material-components-web":"^0.27.0"}
* @requires {"vue":"^2.5.6"}
* @see https://github.com/stasson/vue-mdc-adapter
*/
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?module.exports=t():"function"==typeof define&&define.amd?define(t):e.VueMDCMenu=t()}(this,function(){"use strict";function e(e,t,n){var i=arguments.length>3&&void 0!==arguments[3]&&arguments[3],r=void 0;"function"==typeof CustomEvent?r=new CustomEvent(t,{detail:n,bubbles:i}):(r=document.createEvent("CustomEvent")).initCustomEvent(t,i,!1,n),e.dispatchEvent(r)}function t(e){var t=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if(void 0===h||t){var n="transform"in e.document.createElement("div").style?"transform":"webkitTransform";h=n}return h}function n(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:1;return Math.min(n,Math.max(t,e))}function i(e,t,n,i,s){return r(function(e,t,n){if(e<=0)return 0;if(e>=1)return 1;for(var i=e,s=0,o=1,a=0,u=0;u<8;u++){a=r(i,t,n);var c=(r(i+1e-6,t,n)-a)/1e-6;if(Math.abs(a-e)<1e-6)return i;if(Math.abs(c)<1e-6)break;a<e?s=i:o=i,i-=(a-e)/c}for(var l=0;Math.abs(a-e)>1e-6&&l<8;l++)a<e?(s=i,i=(i+o)/2):(o=i,i=(i+s)/2),a=r(i,t,n);return i}(e,t,i),n,s)}function r(e,t,n){if(0===e||1===e)return e;var i=e*t,r=t+e*(n-t);return i+=e*(r-i),r+=e*(n+e*(1-n)-r),i+e*(r-i)}var s=function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")},o=function(){function e(e,t){for(var n=0;n<t.length;n++){var i=t[n];i.enumerable=i.enumerable||!1,i.configurable=!0,"value"in i&&(i.writable=!0),Object.defineProperty(e,i.key,i)}}return function(t,n,i){return n&&e(t.prototype,n),i&&e(t,i),t}}(),a=function(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e},u=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var i in n)Object.prototype.hasOwnProperty.call(n,i)&&(e[i]=n[i])}return e},c=function(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t},l=function(){function e(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};s(this,e),this.adapter_=t}return o(e,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),o(e,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),e}(),d=(function(){function e(){s(this,e)}o(e,[{key:"addClass",value:function(e){}},{key:"removeClass",value:function(e){}},{key:"hasClass",value:function(e){}},{key:"hasNecessaryDom",value:function(){}},{key:"getAttributeForEventTarget",value:function(e,t){}},{key:"eventTargetHasClass",value:function(e,t){}},{key:"getInnerDimensions",value:function(){}},{key:"hasAnchor",value:function(){}},{key:"getAnchorDimensions",value:function(){}},{key:"getWindowDimensions",value:function(){}},{key:"setScale",value:function(e,t){}},{key:"setInnerScale",value:function(e,t){}},{key:"getNumberOfItems",value:function(){}},{key:"registerInteractionHandler",value:function(e,t){}},{key:"deregisterInteractionHandler",value:function(e,t){}},{key:"registerBodyClickHandler",value:function(e){}},{key:"deregisterBodyClickHandler",value:function(e){}},{key:"getYParamsForItemAtIndex",value:function(e){}},{key:"setTransitionDelayForItemAtIndex",value:function(e,t){}},{key:"getIndexForEventTarget",value:function(e){}},{key:"notifySelected",value:function(e){}},{key:"notifyCancel",value:function(){}},{key:"saveFocus",value:function(){}},{key:"restoreFocus",value:function(){}},{key:"isFocused",value:function(){}},{key:"focus",value:function(){}},{key:"getFocusedItemIndex",value:function(){}},{key:"focusItemAtIndex",value:function(e){}},{key:"isRtl",value:function(){}},{key:"setTransformOrigin",value:function(e){}},{key:"setPosition",value:function(e){}},{key:"getAccurateTime",value:function(){}}])}(),{ROOT:"mdc-simple-menu",OPEN:"mdc-simple-menu--open",ANIMATING:"mdc-simple-menu--animating",TOP_RIGHT:"mdc-simple-menu--open-from-top-right",BOTTOM_LEFT:"mdc-simple-menu--open-from-bottom-left",BOTTOM_RIGHT:"mdc-simple-menu--open-from-bottom-right",LIST_ITEM:"mdc-list-item"}),f={ITEMS_SELECTOR:".mdc-simple-menu__items",SELECTED_EVENT:"MDCSimpleMenu:selected",CANCEL_EVENT:"MDCSimpleMenu:cancel",ARIA_DISABLED_ATTR:"aria-disabled"},m={SELECTED_TRIGGER_DELAY:50,TRANSITION_DURATION_MS:300,TRANSITION_SCALE_ADJUSTMENT_X:.5,TRANSITION_SCALE_ADJUSTMENT_Y:.2,TRANSITION_X1:0,TRANSITION_Y1:0,TRANSITION_X2:.2,TRANSITION_Y2:1},h=void 0,_=function(e){function t(e){s(this,t);var n=c(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,u(t.defaultAdapter,e)));return n.clickHandler_=function(e){return n.handlePossibleSelected_(e)},n.keydownHandler_=function(e){return n.handleKeyboardDown_(e)},n.keyupHandler_=function(e){return n.handleKeyboardUp_(e)},n.documentClickHandler_=function(e){return n.handleDocumentClick_(e)},n.isOpen_=!1,n.startScaleX_=0,n.startScaleY_=0,n.targetScale_=1,n.scaleX_=0,n.scaleY_=0,n.running_=!1,n.selectedTriggerTimerId_=0,n.animationRequestId_=0,n.dimensions_,n.startTime_,n.itemHeight_,n}return function(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}(t,l),o(t,null,[{key:"cssClasses",get:function(){return d}},{key:"strings",get:function(){return f}},{key:"numbers",get:function(){return m}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},hasClass:function(){return!1},hasNecessaryDom:function(){return!1},getAttributeForEventTarget:function(){},eventTargetHasClass:function(){},getInnerDimensions:function(){return{}},hasAnchor:function(){return!1},getAnchorDimensions:function(){return{}},getWindowDimensions:function(){return{}},setScale:function(){},setInnerScale:function(){},getNumberOfItems:function(){return 0},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerBodyClickHandler:function(){},deregisterBodyClickHandler:function(){},getYParamsForItemAtIndex:function(){return{}},setTransitionDelayForItemAtIndex:function(){},getIndexForEventTarget:function(){return 0},notifySelected:function(){},notifyCancel:function(){},saveFocus:function(){},restoreFocus:function(){},isFocused:function(){return!1},focus:function(){},getFocusedItemIndex:function(){return-1},focusItemAtIndex:function(){},isRtl:function(){return!1},setTransformOrigin:function(){},setPosition:function(){},getAccurateTime:function(){return 0}}}}]),o(t,[{key:"init",value:function(){var e=t.cssClasses,n=e.ROOT,i=e.OPEN;if(!this.adapter_.hasClass(n))throw new Error(n+" class required in root element.");if(!this.adapter_.hasNecessaryDom())throw new Error("Required DOM nodes missing in "+n+" component.");this.adapter_.hasClass(i)&&(this.isOpen_=!0),this.adapter_.registerInteractionHandler("click",this.clickHandler_),this.adapter_.registerInteractionHandler("keyup",this.keyupHandler_),this.adapter_.registerInteractionHandler("keydown",this.keydownHandler_)}},{key:"destroy",value:function(){clearTimeout(this.selectedTriggerTimerId_),cancelAnimationFrame(this.animationRequestId_),this.adapter_.deregisterInteractionHandler("click",this.clickHandler_),this.adapter_.deregisterInteractionHandler("keyup",this.keyupHandler_),this.adapter_.deregisterInteractionHandler("keydown",this.keydownHandler_),this.adapter_.deregisterBodyClickHandler(this.documentClickHandler_)}},{key:"applyTransitionDelays_",value:function(){for(var e=t.cssClasses,n=e.BOTTOM_LEFT,i=e.BOTTOM_RIGHT,r=this.adapter_.getNumberOfItems(),s=this.dimensions_.height,o=t.numbers.TRANSITION_DURATION_MS/1e3,a=t.numbers.TRANSITION_SCALE_ADJUSTMENT_Y,u=0;u<r;u++){var c=this.adapter_.getYParamsForItemAtIndex(u),l=c.top,d=c.height;this.itemHeight_=d;var f=l/s;(this.adapter_.hasClass(n)||this.adapter_.hasClass(i))&&(f=(s-l-d)/s);var m=(a+f*(1-a))*o;this.adapter_.setTransitionDelayForItemAtIndex(u,m.toFixed(3)+"s")}}},{key:"removeTransitionDelays_",value:function(){for(var e=this.adapter_.getNumberOfItems(),t=0;t<e;t++)this.adapter_.setTransitionDelayForItemAtIndex(t,null)}},{key:"animationLoop_",value:function(){var e=this,r=this.adapter_.getAccurateTime(),s=t.numbers,o=s.TRANSITION_DURATION_MS,a=s.TRANSITION_X1,u=s.TRANSITION_Y1,c=s.TRANSITION_X2,l=s.TRANSITION_Y2,d=s.TRANSITION_SCALE_ADJUSTMENT_X,f=s.TRANSITION_SCALE_ADJUSTMENT_Y,m=n((r-this.startTime_)/o),h=n((m-d)/(1-d)),_=m,p=this.startScaleY_;1===this.targetScale_&&(this.itemHeight_&&(p=Math.max(this.itemHeight_/this.dimensions_.height,p)),h=n(m+d),_=n((m-f)/(1-f)));var v=i(h,a,u,c,l),g=i(_,a,u,c,l);this.scaleX_=this.startScaleX_+(this.targetScale_-this.startScaleX_)*v;var y=1/(0===this.scaleX_?1:this.scaleX_);this.scaleY_=p+(this.targetScale_-p)*g;var I=1/(0===this.scaleY_?1:this.scaleY_);this.adapter_.setScale(this.scaleX_,this.scaleY_),this.adapter_.setInnerScale(y,I),m<1?this.animationRequestId_=requestAnimationFrame(function(){return e.animationLoop_()}):(this.animationRequestId_=0,this.running_=!1,this.adapter_.removeClass(t.cssClasses.ANIMATING))}},{key:"animateMenu_",value:function(){var e=this;this.startTime_=this.adapter_.getAccurateTime(),this.startScaleX_=this.scaleX_,this.startScaleY_=this.scaleY_,this.targetScale_=this.isOpen_?1:0,this.running_||(this.running_=!0,this.animationRequestId_=requestAnimationFrame(function(){return e.animationLoop_()}))}},{key:"focusOnOpen_",value:function(e){null===e?(this.adapter_.focus(),this.adapter_.isFocused()||this.adapter_.focusItemAtIndex(0)):this.adapter_.focusItemAtIndex(e)}},{key:"handleDocumentClick_",value:function(e){for(var t=e.target;t&&t!==document.documentElement;){if(this.adapter_.eventTargetHasClass(t,d.LIST_ITEM))return;t=t.parentNode}this.adapter_.notifyCancel(),this.close(e)}},{key:"handleKeyboardDown_",value:function(e){if(e.altKey||e.ctrlKey||e.metaKey)return!0;var t=e.keyCode,n=e.key,i=e.shiftKey,r="Tab"===n||9===t,s="ArrowUp"===n||38===t,o="ArrowDown"===n||40===t,a="Space"===n||32===t,u=this.adapter_.getFocusedItemIndex(),c=this.adapter_.getNumberOfItems()-1;return i&&r&&0===u?(this.adapter_.focusItemAtIndex(c),e.preventDefault(),!1):!i&&r&&u===c?(this.adapter_.focusItemAtIndex(0),e.preventDefault(),!1):((s||o||a)&&e.preventDefault(),s?0===u||this.adapter_.isFocused()?this.adapter_.focusItemAtIndex(c):this.adapter_.focusItemAtIndex(u-1):o&&(u===c||this.adapter_.isFocused()?this.adapter_.focusItemAtIndex(0):this.adapter_.focusItemAtIndex(u+1)),!0)}},{key:"handleKeyboardUp_",value:function(e){if(e.altKey||e.ctrlKey||e.metaKey)return!0;var t=e.keyCode,n=e.key,i="Escape"===n||27===t;return("Enter"===n||13===t||("Space"===n||32===t))&&this.handlePossibleSelected_(e),i&&(this.adapter_.notifyCancel(),this.close()),!0}},{key:"handlePossibleSelected_",value:function(e){var t=this;if("true"!==this.adapter_.getAttributeForEventTarget(e.target,f.ARIA_DISABLED_ATTR)){var n=this.adapter_.getIndexForEventTarget(e.target);n<0||this.selectedTriggerTimerId_||(this.selectedTriggerTimerId_=setTimeout(function(){t.selectedTriggerTimerId_=0,t.close(),t.adapter_.notifySelected({index:n})},m.SELECTED_TRIGGER_DELAY))}}},{key:"autoPosition_",value:function(){var e;if(this.adapter_.hasAnchor()){var t="top",n="left",i=this.adapter_.getAnchorDimensions(),r=this.adapter_.getWindowDimensions(),s=i.top+this.dimensions_.height-r.height,o=this.dimensions_.height-i.bottom;s>0&&o<s&&(t="bottom");var u=i.left+this.dimensions_.width-r.width,c=this.dimensions_.width-i.right,l=u>0,d=c>0;this.adapter_.isRtl()?(n="right",d&&u<c&&(n="left")):l&&c<u&&(n="right");var f=(e={},a(e,n,"0"),a(e,t,"0"),e);this.adapter_.setTransformOrigin(t+" "+n),this.adapter_.setPosition(f)}}},{key:"open",value:function(){var e=this,n=(arguments.length>0&&void 0!==arguments[0]?arguments[0]:{}).focusIndex,i=void 0===n?null:n;this.adapter_.saveFocus(),this.adapter_.addClass(t.cssClasses.ANIMATING),this.animationRequestId_=requestAnimationFrame(function(){e.dimensions_=e.adapter_.getInnerDimensions(),e.applyTransitionDelays_(),e.autoPosition_(),e.animateMenu_(),e.adapter_.addClass(t.cssClasses.OPEN),e.focusOnOpen_(i),e.adapter_.registerBodyClickHandler(e.documentClickHandler_)}),this.isOpen_=!0}},{key:"close",value:function(){var e=this,n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;!!n&&"true"===this.adapter_.getAttributeForEventTarget(n.target,f.ARIA_DISABLED_ATTR)||(this.adapter_.deregisterBodyClickHandler(this.documentClickHandler_),this.adapter_.addClass(t.cssClasses.ANIMATING),requestAnimationFrame(function(){e.removeTransitionDelays_(),e.animateMenu_(),e.adapter_.removeClass(t.cssClasses.OPEN)}),this.isOpen_=!1,this.adapter_.restoreFocus())}},{key:"isOpen",value:function(){return this.isOpen_}}]),t}(),p=function(e){return{version:"0.7.5",install:function(t){for(var n in e){var i=e[n];t.component(i.name,i)}},components:e}}({mdcMenu:{render:function(){var e=this.$createElement,t=this._self._c||e;return t("div",{ref:"root",staticClass:"mdc-menu mdc-simple-menu",class:this.classes,attrs:{tabindex:"-1"}},[t("ul",{ref:"items",staticClass:"mdc-simple-menu__items mdc-list",attrs:{role:"menu","aria-hidden":this.isOpen()?"false":"true"}},[this._t("default")],2)])},staticRenderFns:[],name:"mdc-menu",props:{"open-from-top-left":Boolean,"open-from-top-right":Boolean,"open-from-bottom-left":Boolean,"open-from-bottom-right":Boolean},data:function(){return{classes:{"mdc-simple-menu--open-from-top-left":this.openFromTopLeft,"mdc-simple-menu--open-from-top-right":this.openFromTopRight,"mdc-simple-menu--open-from-bottom-left":this.openFromBottomLeft,"mdc-simple-menu--open-from-bottom-right":this.openFromBottomRight},items:[]}},methods:{show:function(e){this.foundation.open(e)},hide:function(){this.foundation.close()},isOpen:function(){return!!this.foundation&&this.foundation.isOpen()}},mounted:function(){var n=this,i=function(){n.items=[].slice.call(n.$refs.items.querySelectorAll(".mdc-list-item[role]")),n.$emit("update")};this.slotObserver=new MutationObserver(function(){return i()}),this.slotObserver.observe(this.$el,{childList:!0,subtree:!0});var r=t(window);this._previousFocus=void 0,this.foundation=new _({addClass:function(e){return n.$set(n.classes,e,!0)},removeClass:function(e){return n.$delete(n.classes,e)},hasClass:function(e){return n.$refs.root.classList.contains(e)},hasNecessaryDom:function(){return Boolean(n.$refs.items)},getAttributeForEventTarget:function(e,t){return e.getAttribute(t)},eventTargetHasClass:function(e,t){return e.classList.contains(t)},getInnerDimensions:function(){return{width:n.$refs.items.offsetWidth,height:n.$refs.items.offsetHeight}},hasAnchor:function(){return n.$refs.root.parentElement&&n.$refs.root.parentElement.classList.contains("mdc-menu-anchor")},getAnchorDimensions:function(){return n.$refs.root.parentElement.getBoundingClientRect()},getWindowDimensions:function(){return{width:window.innerWidth,height:window.innerHeight}},setScale:function(e,t){n.$refs.root.style[r]="scale("+e+", "+t+")"},setInnerScale:function(e,t){n.$refs.items.style[r]="scale("+e+", "+t+")"},getNumberOfItems:function(){return n.items.length},registerInteractionHandler:function(e,t){return n.$refs.root.addEventListener(e,t)},deregisterInteractionHandler:function(e,t){return n.$refs.root.removeEventListener(e,t)},registerBodyClickHandler:function(e){return document.body.addEventListener("click",e)},deregisterBodyClickHandler:function(e){return document.body.removeEventListener("click",e)},getYParamsForItemAtIndex:function(e){var t=n.items[e];return{top:t.offsetTop,height:t.offsetHeight}},setTransitionDelayForItemAtIndex:function(e,t){return n.items[e].style.setProperty("transition-delay",t)},getIndexForEventTarget:function(e){return n.items.indexOf(e)},notifySelected:function(t){var i={index:t.index,item:n.items[t.index]};n.$emit("select",i),e(n.$el,_.strings.SELECTED_EVENT,i)},notifyCancel:function(){n.$emit("cancel"),e(n.$el,_.strings.CANCEL_EVENT,{})},saveFocus:function(){n._previousFocus=document.activeElement},restoreFocus:function(){n._previousFocus&&n._previousFocus.focus()},isFocused:function(){return document.activeElement===n.$refs.root},focus:function(){return n.$refs.root.focus()},getFocusedItemIndex:function(){return n.items.indexOf(document.activeElement)},focusItemAtIndex:function(e){return n.items[e].focus()},isRtl:function(){return"rtl"===getComputedStyle(n.$refs.root).getPropertyValue("direction")},setTransformOrigin:function(e){n.$refs.root.style[t(window)+"-origin"]=e},setPosition:function(e){n.$refs.root.style.left="left"in e?e.left:null,n.$refs.root.style.right="right"in e?e.right:null,n.$refs.root.style.top="top"in e?e.top:null,n.$refs.root.style.bottom="bottom"in e?e.bottom:null},getAccurateTime:function(){return window.performance.now()}}),i(),this.foundation.init()},beforeDestroy:function(){this._previousFocus=null,this.slotObserver.disconnect(),this.foundation.destroy()}},mdcMenuItem:{render:function(){var e=this.$createElement;return(this._self._c||e)("li",{staticClass:"mdc-menu-item mdc-list-item",attrs:{role:"menuitem",tabindex:this.disabled?"-1":"0","aria-disabled":this.disabled}},[this._t("default")],2)},staticRenderFns:[],name:"mdc-menu-item",props:{disabled:Boolean}},mdcMenuDivider:{render:function(){var e=this.$createElement;return(this._self._c||e)("li",{staticClass:"mdc-menu-divider mdc-list-divider",attrs:{role:"separator"}})},staticRenderFns:[],name:"mdc-menu-divider"},mdcMenuAnchor:{render:function(){var e=this.$createElement;return(this._self._c||e)("div",{staticClass:"mdc-menu-anchor"},[this._t("default")],2)},staticRenderFns:[],name:"mdc-menu-anchor"}});return function(e){var t=null;"undefined"!=typeof window?t=window.Vue:"undefined"!=typeof global&&(t=global.Vue),t&&t.use(e)}(p),p});
//# sourceMappingURL=menu.min.js.map
