/**
* @module vue-mdc-adaptertextfield 0.7.5
* @exports VueMDCTextfield
* @copyright (c) 2017-present, Sebastien Tasson
* @license https://opensource.org/licenses/MIT
* @implements {"material-components-web":"^0.27.0"}
* @requires {"vue":"^2.5.6"}
* @see https://github.com/stasson/vue-mdc-adapter
*/
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):t.VueMDCTextfield=e()}(this,function(){"use strict";var t=function(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")},e=function(){function t(t,e){for(var n=0;n<e.length;n++){var i=e[n];i.enumerable=i.enumerable||!1,i.configurable=!0,"value"in i&&(i.writable=!0),Object.defineProperty(t,i.key,i)}}return function(e,n,i){return n&&t(e.prototype,n),i&&t(e,i),e}}(),n=Object.assign||function(t){for(var e=1;e<arguments.length;e++){var n=arguments[e];for(var i in n)Object.prototype.hasOwnProperty.call(n,i)&&(t[i]=n[i])}return t},i=function(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function, not "+typeof e);t.prototype=Object.create(e&&e.prototype,{constructor:{value:t,enumerable:!1,writable:!0,configurable:!0}}),e&&(Object.setPrototypeOf?Object.setPrototypeOf(t,e):t.__proto__=e)},a=function(t,e){if(!t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!e||"object"!=typeof e&&"function"!=typeof e?t:e},s={data:function(){return{hasFocus:!1}},methods:{onMouseDown:function(){this._active=!0},onMouseUp:function(){this._active=!1},onFocusEvent:function(){var t=this;setTimeout(function(){return t.dispatchFocusEvent()},0)},onBlurEvent:function(){var t=this;this._active||setTimeout(function(){return t.dispatchFocusEvent()},0)},dispatchFocusEvent:function(){var t=this.$el===document.activeElement||this.$el.contains(document.activeElement);t!=this.hasFocus&&(this.$emit(t?"focus":"blur"),this.hasFocus=t)}},mounted:function(){this.$el.addEventListener("focusin",this.onFocusEvent),this.$el.addEventListener("focusout",this.onBlurEvent),this.$el.addEventListener("mousedown",this.onMouseDown),this.$el.addEventListener("mouseup",this.onMouseUp)},beforeDestroy:function(){this.$el.removeEventListener("focusin",this.onFocusEvent),this.$el.removeEventListener("focusout",this.onBlurEvent),this.$el.removeEventListener("mousedown",this.onMouseDown),this.$el.removeEventListener("mouseup",this.onMouseUp)}},r=function(){function n(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};t(this,n),this.adapter_=e}return e(n,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),e(n,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),n}(),o=(function(){function n(){t(this,n)}e(n,[{key:"addClass",value:function(t){}},{key:"removeClass",value:function(t){}},{key:"setAttr",value:function(t,e){}},{key:"registerEventHandler",value:function(t,e){}},{key:"deregisterEventHandler",value:function(t,e){}},{key:"notifyAnimationEnd",value:function(){}}])}(),{ANIMATION_END_EVENT:"MDCTextFieldBottomLine:animation-end"}),u={BOTTOM_LINE_ACTIVE:"mdc-text-field__bottom-line--active"},l=function(s){function l(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};t(this,l);var i=a(this,(l.__proto__||Object.getPrototypeOf(l)).call(this,n(l.defaultAdapter,e)));return i.transitionEndHandler_=function(t){return i.handleTransitionEnd(t)},i}return i(l,r),e(l,null,[{key:"cssClasses",get:function(){return u}},{key:"strings",get:function(){return o}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},setAttr:function(){},registerEventHandler:function(){},deregisterEventHandler:function(){},notifyAnimationEnd:function(){}}}}]),e(l,[{key:"init",value:function(){this.adapter_.registerEventHandler("transitionend",this.transitionEndHandler_)}},{key:"destroy",value:function(){this.adapter_.deregisterEventHandler("transitionend",this.transitionEndHandler_)}},{key:"activate",value:function(){this.adapter_.addClass(u.BOTTOM_LINE_ACTIVE)}},{key:"setTransformOrigin",value:function(t){var e=t.target.getBoundingClientRect(),n="transform-origin: "+({x:t.clientX,y:t.clientY}.x-e.left)+"px center";this.adapter_.setAttr("style",n)}},{key:"deactivate",value:function(){this.adapter_.removeClass(u.BOTTOM_LINE_ACTIVE)}},{key:"handleTransitionEnd",value:function(t){"opacity"===t.propertyName&&this.adapter_.notifyAnimationEnd()}}]),l}(),d=(function(){function n(){t(this,n)}e(n,[{key:"addClass",value:function(t){}},{key:"removeClass",value:function(t){}},{key:"hasClass",value:function(t){}},{key:"setAttr",value:function(t,e){}},{key:"removeAttr",value:function(t){}},{key:"setContent",value:function(t){}}])}(),{ARIA_HIDDEN:"aria-hidden",ROLE:"role"}),c={HELPER_TEXT_PERSISTENT:"mdc-text-field-helper-text--persistent",HELPER_TEXT_VALIDATION_MSG:"mdc-text-field-helper-text--validation-msg"},f=function(s){function o(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};return t(this,o),a(this,(o.__proto__||Object.getPrototypeOf(o)).call(this,n(o.defaultAdapter,e)))}return i(o,r),e(o,null,[{key:"cssClasses",get:function(){return c}},{key:"strings",get:function(){return d}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},hasClass:function(){},setAttr:function(){},removeAttr:function(){},setContent:function(){}}}}]),e(o,[{key:"setContent",value:function(t){this.adapter_.setContent(t)}},{key:"showToScreenReader",value:function(){this.adapter_.removeAttr(d.ARIA_HIDDEN)}},{key:"setValidity",value:function(t){var e=this.adapter_.hasClass(c.HELPER_TEXT_PERSISTENT),n=this.adapter_.hasClass(c.HELPER_TEXT_VALIDATION_MSG)&&!t;n?this.adapter_.setAttr(d.ROLE,"alert"):this.adapter_.removeAttr(d.ROLE),e||n||this.hide_()}},{key:"hide_",value:function(){this.adapter_.setAttr(d.ARIA_HIDDEN,"true")}}]),o}(),v=(function(){function n(){t(this,n)}e(n,[{key:"addClass",value:function(t){}},{key:"removeClass",value:function(t){}},{key:"addClassToLabel",value:function(t){}},{key:"removeClassFromLabel",value:function(t){}},{key:"setIconAttr",value:function(t,e){}},{key:"eventTargetHasClass",value:function(t,e){}},{key:"registerTextFieldInteractionHandler",value:function(t,e){}},{key:"deregisterTextFieldInteractionHandler",value:function(t,e){}},{key:"notifyIconAction",value:function(){}},{key:"registerInputInteractionHandler",value:function(t,e){}},{key:"deregisterInputInteractionHandler",value:function(t,e){}},{key:"registerBottomLineEventHandler",value:function(t,e){}},{key:"deregisterBottomLineEventHandler",value:function(t,e){}},{key:"getNativeInput",value:function(){}}])}(),{ARIA_CONTROLS:"aria-controls",INPUT_SELECTOR:".mdc-text-field__input",LABEL_SELECTOR:".mdc-text-field__label",ICON_SELECTOR:".mdc-text-field__icon",ICON_EVENT:"MDCTextField:icon",BOTTOM_LINE_SELECTOR:".mdc-text-field__bottom-line"}),h={ROOT:"mdc-text-field",UPGRADED:"mdc-text-field--upgraded",DISABLED:"mdc-text-field--disabled",FOCUSED:"mdc-text-field--focused",INVALID:"mdc-text-field--invalid",LABEL_FLOAT_ABOVE:"mdc-text-field__label--float-above",LABEL_SHAKE:"mdc-text-field__label--shake",BOX:"mdc-text-field--box",TEXT_FIELD_ICON:"mdc-text-field__icon",TEXTAREA:"mdc-text-field--textarea"},_=function(s){function o(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},i=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};t(this,o);var s=a(this,(o.__proto__||Object.getPrototypeOf(o)).call(this,n(o.defaultAdapter,e)));return s.bottomLine_=i.bottomLine,s.helperText_=i.helperText,s.isFocused_=!1,s.receivedUserInput_=!1,s.useCustomValidityChecking_=!1,s.inputFocusHandler_=function(){return s.activateFocus()},s.inputBlurHandler_=function(){return s.deactivateFocus()},s.inputInputHandler_=function(){return s.autoCompleteFocus()},s.setPointerXOffset_=function(t){return s.setBottomLineTransformOrigin(t)},s.textFieldInteractionHandler_=function(t){return s.handleTextFieldInteraction(t)},s.bottomLineAnimationEndHandler_=function(){return s.handleBottomLineAnimationEnd()},s}return i(o,r),e(o,null,[{key:"cssClasses",get:function(){return h}},{key:"strings",get:function(){return v}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},addClassToLabel:function(){},removeClassFromLabel:function(){},setIconAttr:function(){},eventTargetHasClass:function(){},registerTextFieldInteractionHandler:function(){},deregisterTextFieldInteractionHandler:function(){},notifyIconAction:function(){},registerInputInteractionHandler:function(){},deregisterInputInteractionHandler:function(){},registerBottomLineEventHandler:function(){},deregisterBottomLineEventHandler:function(){},getNativeInput:function(){}}}}]),e(o,[{key:"init",value:function(){var t=this;this.adapter_.addClass(o.cssClasses.UPGRADED),this.getNativeInput_().value&&this.adapter_.addClassToLabel(o.cssClasses.LABEL_FLOAT_ABOVE),this.adapter_.registerInputInteractionHandler("focus",this.inputFocusHandler_),this.adapter_.registerInputInteractionHandler("blur",this.inputBlurHandler_),this.adapter_.registerInputInteractionHandler("input",this.inputInputHandler_),["mousedown","touchstart"].forEach(function(e){t.adapter_.registerInputInteractionHandler(e,t.setPointerXOffset_)}),["click","keydown"].forEach(function(e){t.adapter_.registerTextFieldInteractionHandler(e,t.textFieldInteractionHandler_)}),this.adapter_.registerBottomLineEventHandler(l.strings.ANIMATION_END_EVENT,this.bottomLineAnimationEndHandler_)}},{key:"destroy",value:function(){var t=this;this.adapter_.removeClass(o.cssClasses.UPGRADED),this.adapter_.deregisterInputInteractionHandler("focus",this.inputFocusHandler_),this.adapter_.deregisterInputInteractionHandler("blur",this.inputBlurHandler_),this.adapter_.deregisterInputInteractionHandler("input",this.inputInputHandler_),["mousedown","touchstart"].forEach(function(e){t.adapter_.deregisterInputInteractionHandler(e,t.setPointerXOffset_)}),["click","keydown"].forEach(function(e){t.adapter_.deregisterTextFieldInteractionHandler(e,t.textFieldInteractionHandler_)}),this.adapter_.deregisterBottomLineEventHandler(l.strings.ANIMATION_END_EVENT,this.bottomLineAnimationEndHandler_)}},{key:"handleTextFieldInteraction",value:function(t){if(!this.adapter_.getNativeInput().disabled){this.receivedUserInput_=!0;var e=t.target,n=t.type,i=o.cssClasses.TEXT_FIELD_ICON,a=this.adapter_.eventTargetHasClass(e,i),s="click"===n||"Enter"===t.key||13===t.keyCode;a&&s&&this.adapter_.notifyIconAction()}}},{key:"activateFocus",value:function(){var t=o.cssClasses,e=t.FOCUSED,n=t.LABEL_FLOAT_ABOVE,i=t.LABEL_SHAKE;this.adapter_.addClass(e),this.bottomLine_&&this.bottomLine_.activate(),this.adapter_.addClassToLabel(n),this.adapter_.removeClassFromLabel(i),this.helperText_&&this.helperText_.showToScreenReader(),this.isFocused_=!0}},{key:"setBottomLineTransformOrigin",value:function(t){this.bottomLine_&&this.bottomLine_.setTransformOrigin(t)}},{key:"autoCompleteFocus",value:function(){this.receivedUserInput_||this.activateFocus()}},{key:"handleBottomLineAnimationEnd",value:function(){!this.isFocused_&&this.bottomLine_&&this.bottomLine_.deactivate()}},{key:"deactivateFocus",value:function(){var t=o.cssClasses,e=t.FOCUSED,n=t.LABEL_FLOAT_ABOVE,i=t.LABEL_SHAKE,a=this.getNativeInput_();this.isFocused_=!1,this.adapter_.removeClass(e),this.adapter_.removeClassFromLabel(i),a.value||this.isBadInput_()||(this.adapter_.removeClassFromLabel(n),this.receivedUserInput_=!1),this.useCustomValidityChecking_||this.changeValidity_(a.checkValidity())}},{key:"changeValidity_",value:function(t){var e=o.cssClasses,n=e.INVALID,i=e.LABEL_SHAKE;t?this.adapter_.removeClass(n):(this.adapter_.addClassToLabel(i),this.adapter_.addClass(n)),this.helperText_&&this.helperText_.setValidity(t)}},{key:"isBadInput_",value:function(){var t=this.getNativeInput_();return t.validity?t.validity.badInput:t.badInput}},{key:"isDisabled",value:function(){return this.getNativeInput_().disabled}},{key:"setDisabled",value:function(t){var e=o.cssClasses,n=e.DISABLED,i=e.INVALID;this.getNativeInput_().disabled=t,t?(this.adapter_.addClass(n),this.adapter_.removeClass(i),this.adapter_.setIconAttr("tabindex","-1")):(this.adapter_.removeClass(n),this.adapter_.setIconAttr("tabindex","0"))}},{key:"setHelperTextContent",value:function(t){this.helperText_&&this.helperText_.setContent(t)}},{key:"getNativeInput_",value:function(){return this.adapter_.getNativeInput()||{checkValidity:function(){return!0},value:"",disabled:!1,badInput:!1}}},{key:"setValid",value:function(t){this.useCustomValidityChecking_=!0,this.changeValidity_(t)}}]),o}(),p=(function(){function n(){t(this,n)}e(n,[{key:"browserSupportsCssVars",value:function(){}},{key:"isUnbounded",value:function(){}},{key:"isSurfaceActive",value:function(){}},{key:"isSurfaceDisabled",value:function(){}},{key:"addClass",value:function(t){}},{key:"removeClass",value:function(t){}},{key:"registerInteractionHandler",value:function(t,e){}},{key:"deregisterInteractionHandler",value:function(t,e){}},{key:"registerResizeHandler",value:function(t){}},{key:"deregisterResizeHandler",value:function(t){}},{key:"updateCssVariable",value:function(t,e){}},{key:"computeBoundingRect",value:function(){}},{key:"getWindowPageOffset",value:function(){}}])}(),{ROOT:"mdc-ripple-upgraded",UNBOUNDED:"mdc-ripple-upgraded--unbounded",BG_FOCUSED:"mdc-ripple-upgraded--background-focused",BG_ACTIVE_FILL:"mdc-ripple-upgraded--background-active-fill",FG_ACTIVATION:"mdc-ripple-upgraded--foreground-activation",FG_DEACTIVATION:"mdc-ripple-upgraded--foreground-deactivation"}),m={VAR_FG_SIZE:"--mdc-ripple-fg-size",VAR_LEFT:"--mdc-ripple-left",VAR_TOP:"--mdc-ripple-top",VAR_FG_SCALE:"--mdc-ripple-fg-scale",VAR_FG_TRANSLATE_START:"--mdc-ripple-fg-translate-start",VAR_FG_TRANSLATE_END:"--mdc-ripple-fg-translate-end"},g={PADDING:10,INITIAL_ORIGIN_SCALE:.6,DEACTIVATION_TIMEOUT_MS:225,FG_DEACTIVATION_MS:150},y=void 0,C={mouseup:"mousedown",pointerup:"pointerdown",touchend:"touchstart",keyup:"keydown",blur:"focus"},E=function(s){function o(e){t(this,o);var i=a(this,(o.__proto__||Object.getPrototypeOf(o)).call(this,n(o.defaultAdapter,e)));return i.layoutFrame_=0,i.frame_={width:0,height:0},i.activationState_=i.defaultActivationState_(),i.xfDuration_=0,i.initialSize_=0,i.maxRadius_=0,i.listenerInfos_=[{activate:"touchstart",deactivate:"touchend"},{activate:"pointerdown",deactivate:"pointerup"},{activate:"mousedown",deactivate:"mouseup"},{activate:"keydown",deactivate:"keyup"},{focus:"focus",blur:"blur"}],i.listeners_={activate:function(t){return i.activate_(t)},deactivate:function(t){return i.deactivate_(t)},focus:function(){return requestAnimationFrame(function(){return i.adapter_.addClass(o.cssClasses.BG_FOCUSED)})},blur:function(){return requestAnimationFrame(function(){return i.adapter_.removeClass(o.cssClasses.BG_FOCUSED)})}},i.resizeHandler_=function(){return i.layout()},i.unboundedCoords_={left:0,top:0},i.fgScale_=0,i.activationTimer_=0,i.fgDeactivationRemovalTimer_=0,i.activationAnimationHasEnded_=!1,i.activationTimerCallback_=function(){i.activationAnimationHasEnded_=!0,i.runDeactivationUXLogicIfReady_()},i}return i(o,r),e(o,null,[{key:"cssClasses",get:function(){return p}},{key:"strings",get:function(){return m}},{key:"numbers",get:function(){return g}},{key:"defaultAdapter",get:function(){return{browserSupportsCssVars:function(){},isUnbounded:function(){},isSurfaceActive:function(){},isSurfaceDisabled:function(){},addClass:function(){},removeClass:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},updateCssVariable:function(){},computeBoundingRect:function(){},getWindowPageOffset:function(){}}}}]),e(o,[{key:"isSupported_",value:function(){return this.adapter_.browserSupportsCssVars()}},{key:"defaultActivationState_",value:function(){return{isActivated:!1,hasDeactivationUXRun:!1,wasActivatedByPointer:!1,wasElementMadeActive:!1,activationStartTime:0,activationEvent:null,isProgrammatic:!1}}},{key:"init",value:function(){var t=this;if(this.isSupported_()){this.addEventListeners_();var e=o.cssClasses,n=e.ROOT,i=e.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.addClass(n),t.adapter_.isUnbounded()&&t.adapter_.addClass(i),t.layoutInternal_()})}}},{key:"addEventListeners_",value:function(){var t=this;this.listenerInfos_.forEach(function(e){Object.keys(e).forEach(function(n){t.adapter_.registerInteractionHandler(e[n],t.listeners_[n])})}),this.adapter_.registerResizeHandler(this.resizeHandler_)}},{key:"activate_",value:function(t){var e=this;if(!this.adapter_.isSurfaceDisabled()){var n=this.activationState_;n.isActivated||(n.isActivated=!0,n.isProgrammatic=null===t,n.activationEvent=t,n.wasActivatedByPointer=!n.isProgrammatic&&("mousedown"===t.type||"touchstart"===t.type||"pointerdown"===t.type),n.activationStartTime=Date.now(),requestAnimationFrame(function(){n.wasElementMadeActive=!t||"keydown"!==t.type||e.adapter_.isSurfaceActive(),n.wasElementMadeActive?e.animateActivation_():e.activationState_=e.defaultActivationState_()}))}}},{key:"activate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.activate_(t)}},{key:"animateActivation_",value:function(){var t=this,e=o.strings,n=e.VAR_FG_TRANSLATE_START,i=e.VAR_FG_TRANSLATE_END,a=o.cssClasses,s=a.BG_ACTIVE_FILL,r=a.FG_DEACTIVATION,u=a.FG_ACTIVATION,l=o.numbers.DEACTIVATION_TIMEOUT_MS,d="",c="";if(!this.adapter_.isUnbounded()){var f=this.getFgTranslationCoordinates_(),v=f.startPoint,h=f.endPoint;d=v.x+"px, "+v.y+"px",c=h.x+"px, "+h.y+"px"}this.adapter_.updateCssVariable(n,d),this.adapter_.updateCssVariable(i,c),clearTimeout(this.activationTimer_),clearTimeout(this.fgDeactivationRemovalTimer_),this.rmBoundedActivationClasses_(),this.adapter_.removeClass(r),this.adapter_.computeBoundingRect(),this.adapter_.addClass(s),this.adapter_.addClass(u),this.activationTimer_=setTimeout(function(){return t.activationTimerCallback_()},l)}},{key:"getFgTranslationCoordinates_",value:function(){var t=this.activationState_,e=t.activationEvent,n=void 0;return{startPoint:n={x:(n=t.wasActivatedByPointer?function(t,e,n){var i=e.x,a=e.y,s=i+n.left,r=a+n.top,o=void 0,u=void 0;return"touchstart"===t.type?(o=t.changedTouches[0].pageX-s,u=t.changedTouches[0].pageY-r):(o=t.pageX-s,u=t.pageY-r),{x:o,y:u}}(e,this.adapter_.getWindowPageOffset(),this.adapter_.computeBoundingRect()):{x:this.frame_.width/2,y:this.frame_.height/2}).x-this.initialSize_/2,y:n.y-this.initialSize_/2},endPoint:{x:this.frame_.width/2-this.initialSize_/2,y:this.frame_.height/2-this.initialSize_/2}}}},{key:"runDeactivationUXLogicIfReady_",value:function(){var t=this,e=o.cssClasses.FG_DEACTIVATION,n=this.activationState_,i=n.hasDeactivationUXRun,a=n.isActivated;(i||!a)&&this.activationAnimationHasEnded_&&(this.rmBoundedActivationClasses_(),this.adapter_.addClass(e),this.fgDeactivationRemovalTimer_=setTimeout(function(){t.adapter_.removeClass(e)},g.FG_DEACTIVATION_MS))}},{key:"rmBoundedActivationClasses_",value:function(){var t=o.cssClasses,e=t.BG_ACTIVE_FILL,n=t.FG_ACTIVATION;this.adapter_.removeClass(e),this.adapter_.removeClass(n),this.activationAnimationHasEnded_=!1,this.adapter_.computeBoundingRect()}},{key:"deactivate_",value:function(t){var e=this,i=this.activationState_;if(i.isActivated){if(i.isProgrammatic){var a=n({},i);return requestAnimationFrame(function(){return e.animateDeactivation_(null,a)}),void(this.activationState_=this.defaultActivationState_())}var s=C[t.type]===i.activationEvent.type,r=s;i.wasActivatedByPointer&&(r="mouseup"===t.type);var o=n({},i);requestAnimationFrame(function(){s&&(e.activationState_.hasDeactivationUXRun=!0,e.animateDeactivation_(t,o)),r&&(e.activationState_=e.defaultActivationState_())})}}},{key:"deactivate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.deactivate_(t)}},{key:"animateDeactivation_",value:function(t,e){var n=e.wasActivatedByPointer,i=e.wasElementMadeActive,a=o.cssClasses.BG_FOCUSED;(n||i)&&(this.adapter_.removeClass(a),this.runDeactivationUXLogicIfReady_())}},{key:"destroy",value:function(){var t=this;if(this.isSupported_()){this.removeEventListeners_();var e=o.cssClasses,n=e.ROOT,i=e.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.removeClass(n),t.adapter_.removeClass(i),t.removeCssVars_()})}}},{key:"removeEventListeners_",value:function(){var t=this;this.listenerInfos_.forEach(function(e){Object.keys(e).forEach(function(n){t.adapter_.deregisterInteractionHandler(e[n],t.listeners_[n])})}),this.adapter_.deregisterResizeHandler(this.resizeHandler_)}},{key:"removeCssVars_",value:function(){var t=this,e=o.strings;Object.keys(e).forEach(function(n){0===n.indexOf("VAR_")&&t.adapter_.updateCssVariable(e[n],null)})}},{key:"layout",value:function(){var t=this;this.layoutFrame_&&cancelAnimationFrame(this.layoutFrame_),this.layoutFrame_=requestAnimationFrame(function(){t.layoutInternal_(),t.layoutFrame_=0})}},{key:"layoutInternal_",value:function(){this.frame_=this.adapter_.computeBoundingRect();var t=Math.max(this.frame_.height,this.frame_.width),e=Math.sqrt(Math.pow(this.frame_.width,2)+Math.pow(this.frame_.height,2));this.initialSize_=t*o.numbers.INITIAL_ORIGIN_SCALE,this.maxRadius_=e+o.numbers.PADDING,this.fgScale_=this.maxRadius_/this.initialSize_,this.xfDuration_=1e3*Math.sqrt(this.maxRadius_/1024),this.updateLayoutCssVars_()}},{key:"updateLayoutCssVars_",value:function(){var t=o.strings,e=t.VAR_FG_SIZE,n=t.VAR_LEFT,i=t.VAR_TOP,a=t.VAR_FG_SCALE;this.adapter_.updateCssVariable(e,this.initialSize_+"px"),this.adapter_.updateCssVariable(a,this.fgScale_),this.adapter_.isUnbounded()&&(this.unboundedCoords_={left:Math.round(this.frame_.width/2-this.initialSize_/2),top:Math.round(this.frame_.height/2-this.initialSize_/2)},this.adapter_.updateCssVariable(n,this.unboundedCoords_.left+"px"),this.adapter_.updateCssVariable(i,this.unboundedCoords_.top+"px"))}}]),o}(),A=function(s){function r(e,i){return t(this,r),a(this,(r.__proto__||Object.getPrototypeOf(r)).call(this,n({browserSupportsCssVars:function(){return function(t){var e=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if("boolean"==typeof y&&!e)return y;if(t.CSS&&"function"==typeof t.CSS.supports){var n=t.CSS.supports("--css-vars","yes"),i=t.CSS.supports("(--css-vars: yes)")&&t.CSS.supports("color","#00000000");return y=!(!n&&!i||function(t){var e=t.document,n=e.createElement("div");n.className="mdc-ripple-surface--test-edge-var-bug",e.body.appendChild(n);var i=t.getComputedStyle(n),a=null!==i&&"solid"===i.borderTopStyle;return n.remove(),a}(t))}}(window)},registerResizeHandler:function(t){return window.addEventListener("resize",t)},deregisterResizeHandler:function(t){return window.removeEventListener("resize",t)},getWindowPageOffset:function(){return{x:window.pageXOffset,y:window.pageYOffset}},isUnbounded:function(){return!1},computeBoundingRect:function(){return e.$el.getBoundingClientRect()},isSurfaceActive:function(){return e.$el[r.MATCHES](":active")},isSurfaceDisabled:function(){return e.disabled},addClass:function(t){e.$set(e.classes,t,!0)},removeClass:function(t){e.$delete(e.classes,t)},registerInteractionHandler:function(t,n){e.$el.addEventListener(t,n)},deregisterInteractionHandler:function(t,n){e.$el.removeEventListener(t,n)},updateCssVariable:function(t,n){e.$set(e.styles,t,n)}},i)))}return i(r,E),e(r,null,[{key:"isSurfaceActive",value:function(t){return t[r.MATCHES](":active")}},{key:"MATCHES",get:function(){return r._matches||(r._matches=function(t){return["webkitMatchesSelector","msMatchesSelector","matches"].filter(function(e){return e in t}).pop()}(HTMLElement.prototype))}}]),r}(),b=function(t){return{version:"0.7.5",install:function(e){for(var n in t){var i=t[n];e.component(i.name,i)}},components:t}}({mdcTextField:{render:function(){var t=this,e=t.$createElement,n=t._self._c||e;return n("div",{staticClass:"mdc-textfield-wrapper"},[t.multiline&&t.fullwidth?n("div",{ref:"root",class:t.rootClasses},[n("textarea",{ref:"input",class:t.inputClasses,attrs:{rows:t.rows,minlength:t.minlength,maxlength:t.maxlength,"aria-controls":"help-"+t._uid,placeholder:t.label,"aria-label":t.label},domProps:{value:t.value},on:{input:function(e){t.updateValue(e.target.value)}}})]):t.multiline?n("div",{ref:"root",class:t.rootClasses},[n("textarea",{ref:"input",class:t.inputClasses,attrs:{id:t._uid,rows:t.rows,cols:t.cols,minlength:t.minlength,maxlength:t.maxlength,"aria-controls":"help-"+t._uid},domProps:{value:t.value},on:{input:function(e){t.updateValue(e.target.value)}}}),t._v(" "),t.label?n("label",{ref:"label",class:t.labelClassesUpgraded,attrs:{for:t._uid}},[t._v(" "+t._s(t.label)+" ")]):t._e()]):t.fullwidth?n("div",{ref:"root",class:t.rootClasses},[n("input",{ref:"input",class:t.inputClasses,attrs:{type:t.type,required:t.required,minlength:t.minlength,maxlength:t.maxlength,"aria-controls":"help-"+t._uid,placeholder:t.label,"aria-label":t.label},domProps:{value:t.value},on:{input:function(e){t.updateValue(e.target.value)}}})]):n("div",{ref:"root",class:t.rootClasses},[n("input",{ref:"input",class:t.inputClasses,attrs:{type:t.type,id:t._uid,required:t.required,size:t.size,minlength:t.minlength,maxlength:t.maxlength,"aria-controls":"help-"+t._uid},domProps:{value:t.value},on:{input:function(e){t.updateValue(e.target.value)}}}),t._v(" "),t.label?n("label",{ref:"label",class:t.labelClassesUpgraded,attrs:{for:t._uid}},[t._v(" "+t._s(t.label)+" ")]):t._e(),t._v(" "),n("div",{ref:"bottom",class:t.bottomClasses})]),t._v(" "),t.helptext?n("p",{ref:"help",class:t.helpClasses,attrs:{id:"help-"+t._uid,"aria-hidden":"true"}},[t._v(" "+t._s(t.helptext)+" ")]):t._e()])},staticRenderFns:[],name:"mdc-textfield",mixins:[s],props:{value:String,type:{type:String,default:"text",validator:function(t){return-1!==["text","email","search","password","tel","url"].indexOf(t)}},dense:Boolean,label:String,helptext:String,"helptext-persistent":Boolean,"helptext-validation":Boolean,disabled:Boolean,required:Boolean,minlength:{type:[Number,String],default:void 0},maxlength:{type:[Number,String],default:void 0},size:{type:[Number,String],default:20},fullwidth:Boolean,multiline:Boolean,rows:{type:[Number,String],default:8},cols:{type:[Number,String],default:40}},data:function(){return{text:this.value,rootClasses:{"mdc-textfield":!0,"mdc-text-field":!0,"mdc-text-field--upgraded":!0,"mdc-text-field--disabled":this.disabled,"mdc-text-field--dense":this.dense,"mdc-text-field--fullwidth":this.fullwidth,"mdc-text-field--textarea":this.multiline},inputClasses:{"mdc-text-field__input":!0},labelClasses:{"mdc-text-field__label":!0},bottomClasses:{"mdc-text-field__bottom-line":!0},helpClasses:{"mdc-text-field-helper-text":!0,"mdc-text-field-helper-text--persistent":this.helptextPersistent,"mdc-text-field-helper-text--validation-msg":this.helptextValidation}}},watch:{disabled:function(){this.foundation&&this.foundation.setDisabled(this.disabled)}},methods:{updateValue:function(t){this.$emit("input",t)}},computed:{labelClassesUpgraded:function(){return n(this.labelClasses,{"mdc-text-field__label--float-above":this.value})}},mounted:function(){var t=this;this.$refs.bottom&&(this.bottomLineFoundation=new l({addClass:function(e){t.$set(t.bottomClasses,e,!0)},removeClass:function(e){t.$delete(t.bottomClasses,e)},setAttr:function(e,n){t.$refs.bottom.setAttribute(e,n)},registerEventHandler:function(e,n){t.$refs.bottom.addEventListener(e,n)},deregisterEventHandler:function(e,n){t.$refs.bottom.removeEventListener(e,n)},notifyAnimationEnd:function(){!function(t,e,n){var i=arguments.length>3&&void 0!==arguments[3]&&arguments[3],a=void 0;"function"==typeof CustomEvent?a=new CustomEvent(e,{detail:n,bubbles:i}):(a=document.createEvent("CustomEvent")).initCustomEvent(e,i,!1,n),t.dispatchEvent(a)}(t.$refs.bottom,l.strings.ANIMATION_END_EVENT,{})}}),this.bottomLineFoundation.init()),this.$refs.help&&(this.helperTextFoundation=new f({addClass:function(e){t.$set(t.helpClasses,e,!0)},removeClass:function(e){t.$delete(t.helpClasses,e)},hasClass:function(e){return t.$refs.help.classList.contains(e)},setAttr:function(e,n){t.$refs.help.setAttribute(e,n)},removeAttr:function(e){t.$refs.help.removeAttribute(e)},setContent:function(e){t.$refs.help.textContent=e}}),this.helperTextFoundation.init()),this.foundation=new _({addClass:function(e){t.$set(t.rootClasses,e,!0)},removeClass:function(e){t.$delete(t.rootClasses,e)},addClassToLabel:function(e){t.$set(t.labelClasses,e,!0)},removeClassFromLabel:function(e){t.$delete(t.labelClasses,e)},setIconAttr:function(){},eventTargetHasClass:function(t,e){return t.classList.contains(e)},registerTextFieldInteractionHandler:function(e,n){t.$refs.root.addEventListener(e,n)},deregisterTextFieldInteractionHandler:function(e,n){t.$refs.root.removeEventListener(e,n)},registerInputInteractionHandler:function(e,n){t.$refs.input.addEventListener(e,n)},deregisterInputInteractionHandler:function(e,n){t.$refs.input.removeEventListener(e,n)},getNativeInput:function(){return t.$refs.input},notifyIconAction:function(){t.$emit("icon")},registerBottomLineEventHandler:function(e,n){t.$refs.bottom&&t.$refs.bottom.addEventListener(e,n)},deregisterBottomLineEventHandler:function(e,n){t.$refs.bottom&&t.$refs.bottom.removeEventListener(e,n)}},{bottomLine:this.bottomLineFoundation,helperText:this.helperTextFoundation}),this.foundation.init(),this.foundation.setDisabled(this.disabled),this.textbox&&(this.ripple=new A(this),this.ripple.init())},beforeDestroy:function(){this.foundation&&this.foundation.destroy(),this.bottomLineFoundation&&this.bottomLineFoundation.destroy(),this.helperTextFoundation&&this.helperTextFoundation.destroy(),this.ripple&&this.ripple.destroy()}}});return function(t){var e=null;"undefined"!=typeof window?e=window.Vue:"undefined"!=typeof global&&(e=global.Vue),e&&e.use(t)}(b),b});
//# sourceMappingURL=textfield.min.js.map
